=== release 1.20.5 ===

2022-12-19 23:34:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.20.5

2022-12-19 23:34:34 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.5

2022-12-10 13:11:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_egl.c:
	* gst-libs/gst/vaapi/gstvaapisurface_egl.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapidecodebin.c:
	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapisink.c:
	* gst/vaapi/gstvaapivideobufferpool.c:
	* gst/vaapi/gstvaapivideocontext.c:
	* gst/vaapi/gstvaapivideometa_texture.c:
	* meson.build:
	* tests/internal/output.c:
	* tests/internal/test-display.c:
	* tests/internal/test-windows.c:
	  vaapi: prefix USE_FOO defines to fix build with mesa 22.3.0
	  Apparently mesa 22.3.0 has updated the egl headers, and eglplatform.h now
	  contains commit
	  https://github.com/KhronosGroup/EGL-Registry/pull/130/commits/3670d645f4a26a0a9e87e7f3a8608e7cc1d53b5b
	  after which xlib headers don't get included by default anymore but are
	  dependent upon whether USE_X11 was defined.
	  This breaks headless builds of gstreamer-vaapi because we always define
	  an internal define USE_X11 as either 1 or 0.
	  Change these defines to GST_VAAPI_USE_XYZ instead to avoid this.
	  Fixes #1634
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3558>

2022-11-02 17:23:04 -0400  Boyuan Zhang <boyuan.zhang@amd.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	  libs: context: use queried value for attrib
	  Attribute's value should use returned value from get_attribute for
	  VAConfigAttribRTFormat, since VAProfileHEVCMain10, in AMD Mesa Gallium,
	  can process either VA_RT_FORMAT_420 and VA_RT_FORMAT_420_10, which isn't
	  considered in gstreamer-vaapi design, where encoder's src pads will
	  expose only 4:2:0 color formats but no 4:2:0 10bit. So, this is a workaround
	  for this issue while new vah265enc is released.
	  Signed-off-by: Boyuan Zhang <boyuan.zhang@amd.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3435>

2022-10-12 18:40:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.20.4 ===

2022-10-12 16:39:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.20.4

2022-10-12 16:39:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.4

2022-08-11 21:22:12 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapidecode.c:
	  vaapi: plugin: Handle when no encoders/decoders available.
	  Nouveau driver currently only exposes postproc entry. But
	  vaapidecodebin is registered independent if there are decoders or not,
	  exposing a segmentation fault.
	  This patch removes the encoder/decoder/codec arrays if no entries are
	  found, and if no decoders are found vaapidecodebin is not
	  registered. Also for vaapipostproc if no postproc entry is found.
	  Also, if general decoder, used by vaapidecodebin, doesn't have a sink
	  pad string, don't register the glib type.
	  Fixes: #1349
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2906>

2022-06-16 00:59:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2619>

=== release 1.20.3 ===

2022-06-15 23:36:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.20.3

2022-06-15 23:36:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.3

2022-06-09 20:00:35 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  vaapi: Do not disable the whole vpp when some va operations not available.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2604>

2022-05-20 09:59:58 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapipostproc.c:
	  vaapidecode,vaapipostproc: Disable DMAbuf from caps negotiation.
	  Given the amount of complains about artifacts when negotiating dmabuf
	  given incompatible drm-formats, and that there's no enough bandwidth
	  for a proper and quick fix in gstreamer-vaapi, this patch disables,
	  from decoders and postprocessor, the DMABuf caps feature.
	  For those who needs DMABuf can use the va elements in -bad, increasing
	  their ranking for autoplugging by using the environment variable
	  GST_PLUGIN_FEATURE_RANK=vah264dec:MAX, for example.
	  This can be considered a first step to the deprecation of
	  gstreamer-vaapi in favor of the va plugin in -bad.
	  Fixes: #1137
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2459>

2022-05-03 00:39:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2347>

=== release 1.20.2 ===

2022-05-02 23:29:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.20.2

2022-05-02 23:29:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.2

2022-04-21 10:54:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson_options.txt:
	  vaapi: fix up package-origin in meson_options.txt
	  Follow-up to !2243
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2260>

2022-04-12 15:23:08 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/vaapi/gstvaapivalue.c:
	  Fix `transfer` gobject-introspection annotation typos
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2163>

2022-03-14 14:48:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.20.1 ===

2022-03-14 11:33:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.20.1

2022-03-14 11:33:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.1

2022-02-07 16:17:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

2022-01-30 09:38:48 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipluginutil.c:
	* meson.build:
	  vaapi: Disable Wayland if no libdrm
	  Platform wise, is not possible, as far as I known, to have Wayland
	  without kernel's DRM. Though, it's possible to configure
	  gstreamer-vaapi without DRM but Wayland support, with the enhanced
	  handling of dmabuf in vaapisink for Wayland, vaapisink will always
	  fail. Given both issues, configuration with no DRM but Wayland, makes
	  things more complex, and a simpler approach is to refuse that
	  configuration.
	  This patch disables Wayland support if there isn't DRM support. Also,
	  it disables the display test for Wayland, relying only on DRM and
	  X11.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1606>

2022-01-30 07:10:09 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/video-format.c:
	  vaapi: libs: video-format: Check if formats map is not NULL.
	  Formats map is instantiated at the end of the display
	  instantiation. The problem is the Wayland display which looks for a
	  format in a callback, before the map is populated.
	  If user compiles gstreamer-vaapi with DRM support, the map is
	  populated with a DRM display at GStreamer plugin registration. But if
	  not, or a VA driver is not available, the plugin will try with a
	  Wayland driver, which cause the NULL de-reference.
	  Nevertheless, in the case of no DRM support, and if the Wayland
	  display doesn't get a reply from the format conversion is not a
	  problem.
	  So the solution is the trivial one, check if the format map is already
	  populated before de-reference it.
	  Fixes: #977
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1606>

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2022-01-04 16:19:44 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	  vaapi: av1dec: Use named profiles to replace the numeric ones.
	  Use named AV1 profiles (i.e., main, high) to replace the old "0"
	  and "1" profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1491>

2021-12-01 15:36:44 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	  vaapidecodebin: Misc enhancements.
	  - Use GST_WARNING rather than g_critical
	  - Replace gst_ghost_pad_new_from_template() with
	  gst_ghost_pad_new() to avoid using the template.
	  - Declare extern variable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1405>

2021-12-01 12:26:11 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: Autogenerate caps template.
	  vaapidecode is used in vaapidecodebin and it exposes all the
	  theoretically supported caps, but that slows down autoplug. With this
	  autplug is negotiated faster, giving more option to decodebin to select
	  other decoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1405>

2021-11-16 17:18:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  vaapi: libs: Use unsized arrays as parameters.
	  Instead of defining a sized array for function signature, use it
	  unsized (a pointer alias, basically). In this way clang warning is
	  silenced:
	  warning: ‘fill_profiles’ accessing 64 bytes in a region of size 12 [-Wstringop-overflow=]
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1357>

2021-11-16 17:21:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* meson.build:
	  vaapi: meson: Fail if static build.
	  And initialize the plugin array.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1357>

2021-11-15 16:38:34 +0800  Ung, Teng En <teng.en.ung@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: fix mising metadata when using system
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1325>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/meson.build:
	* gst-libs/gst/vaapi/meson.build:
	* meson.build:
	* tests/check/meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-10-15 00:33:39 +0800  He Junyan <junyan.he@intel.com>

	* docs/index.md:
	  Docs: Fix a typo for Intel's vaapi driver name.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1151>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

=== release 1.19.2 ===

2021-09-23 01:35:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.19.2

2021-08-26 15:06:53 +0800  Zhang Yuankun <yuankunx.zhang@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapi: decoder: modify the condition to judge whether dma buffer is supported
	  It seems "GST_VAAPI_PLUGIN_BASE_SRC_PAD_CAN_DMABUF (decode)" will
	  return false even if this platform support the mem_type dma buffer.
	  And media-driver will return GST_VAAPI_BUFFER_MEMORY_TYPE_DMA_BUF2
	  on Gen12(such as TGL).
	  Without this patch, The command such as:
	  gst-launch-1.0 videotestsrc num-buffers=100 ! video/x-raw, format=I420 ! \
	  x264enc ! h264parse ! vaapih264dec ! video/x-raw\(memory:DMABuf\) ! fakesink
	  will return not-negotiated.
	  Signed-off-by: Zhang Yuankun <yuankunx.zhang@intel.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/437>

2021-05-14 12:04:04 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst/vaapi/gstvaapivideocontext.c:
	  Display: Add a property to export the VA display handle.
	  Just like what we do in VA plugins. The display can be seen as a
	  generic gst object and we can add a property to get the internal
	  VA handle.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/435>

2021-05-14 11:49:01 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapivideomemory.c:
	* gst/vaapi/gstvaapivideomemory.h:
	  plugins: video memory: Add a GST_MAP_VAAPI flag to peek the surface.
	  Just like what we do in VA plugins, the GST_MAP_VAAPI can directly
	  peek the surface of the VA buffers. The old flag 0 just peek the
	  surface proxy, which may not be convenient for the users who do not
	  want to include our headers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/435>

2021-07-09 11:01:14 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapidecode.c:
	  Revert "vaapi: Demote vaapidecodebin to rank NONE."
	  This reverts commit 7a25c5d4ec95aefeca6515ac023b23c5dd330194.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/436>

2021-06-23 16:23:00 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode.c:
	  plugins: encode: fix a deadlock because of _drain()
	  We call gst_vaapiencode_drain() in gst_vaapiencode_change_state(),
	  whose context does not hold the stream lock of the encoder. The
	  current gst_vaapiencode_drain inside unlock/lock pair adds a extra
	  lock count to the stream lock of encoder and causes hang later.
	  We just remove the gst_vaapiencode_drain() and expand its logic
	  correctly according to the lock/unlock context.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/433>

2021-06-29 15:09:13 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	  libs: decoder: av1: Clean the film_grain_info field.
	  We need to clean all film_grain_info fields when the film grain
	  feature is not enabled. It may have random data because the picture
	  parameter buffer is not cleaned.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/434>

2021-06-03 22:12:04 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiutils_mpeg2.h:
	  libs: encoder: mpeg2: Add highP level for 1080@50p/60p.
	  The MPEG2 spec has amendment 3 to introduce a new level highP, which
	  is used for 1080@50p/60p streams. We need to add this level to avoid
	  encoding failure because of the level check.
	  Fix: #306
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/432>

2021-05-11 16:59:07 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	  Decoder: H264: Add the support for frame packing arrangement SEI message.
	  Frame packing arrangement SEI message is an alternative simple stereo 3D
	  manner for AVC. We need to recognize that SEI message and report the correct
	  3D caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/420>

2021-05-22 18:54:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* meson.build:
	  Use g_memdup2() where available and add fallback for older GLib versions
	  Alloc size is based on existing allocations and struct sizes.
	  g_memdup() is deprecated since GLib 2.68 and we want to avoid
	  deprecation warnings with recent versions of GLib.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/431>

2021-06-01 15:29:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:16:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.19.1

2021-04-23 19:01:54 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapidecode.c:
	  vaapi: Demote vaapidecodebin to rank NONE.
	  One of the main reasons of vaapidecodebin was because it mitigated the
	  possible surface exhaustion. But that problem is currently
	  solved. Nowadays, vaapidecodebin brings more problems than it
	  solves. Thus this patch demotes vaapidecodebin to NONE rank while
	  bumping PRIMARY + 1 the most common decoders.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/426>

2021-05-20 10:28:05 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapioverlay.c:
	  plugins: Demote rank of vaapipostproc and vaapioverlay.
	  Since almost all video filters have rank NONE, these both elements
	  should be NONE too.
	  This is useful for autovideoconvert and other bins, and users might
	  force to use these by setting the environment variable
	  GST_PLUGIN_FEATURE_RANK.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/429>

2021-04-21 10:55:45 +0200  François Laignel <fengalin@free.fr>

	* tests/check/elements/vaapioverlay.c:
	  Use gst_element_request_pad_simple...
	  Instead of the deprecated gst_element_get_request_pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/425>

2021-04-23 11:02:05 +0800  Zhang yuankun <yuankunx.zhang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: VP9: fix > 4k encode fail issue
	  The VP9 spec defines the MAX_TILE_WIDTH_B64(64), which is the maximum
	  width of a tile in units of superblocks. So the max width of one tile
	  should not be larger than 64x64=4096. When the width exceeds 4k, we
	  need to split it into multiple tiles in columns. The current vp9 encoder
	  does not handle this correctly.
	  The command such as:
	  gst-launch-1.0 videotestsrc ! video/x-raw,width=7680,height=4320 ! \
	  vaapivp9enc ! fakesink
	  will crash.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/424>

2021-04-02 15:43:45 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_drm.c:
	  libs: display: drm: don't fallback to default device if explicitly specified device can't load/init
	  Otherwise user will be misled that the specified device is using
	  This fixes https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/issues/305
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/422>

2021-03-22 13:41:13 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_objects.h:
	  decoder: H265: Enable cu_qp_delta_enabled_flag when ROI
	  If ROI is enabled, the CUs within the ROI region may have different
	  QP from the other part of the picture. This needs us to enable the
	  cu_qp_delta_enabled_flag even in the CQP mode.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/419>

2021-03-19 17:42:36 +1100  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapiminiobject.c:
	* gst-libs/gst/vaapi/gstvaapiminiobject.h:
	* gst-libs/gst/vaapi/gstvaapitexture_glx.c:
	* gst-libs/gst/vaapi/gstvaapiutils_egl.c:
	* gst-libs/gst/vaapi/gstvaapiutils_egl.h:
	* gst-libs/gst/vaapi/gstvaapivalue.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapisink.c:
	* gst/vaapi/gstvaapisink.h:
	* gst/vaapi/gstvaapivideocontext.c:
	* gst/vaapi/gstvaapivideomemory.c:
	* tests/internal/simple-decoder.c:
	  gst: don't use volatile to mean atomic
	  volatile is not sufficient to provide atomic guarantees and real atomics
	  should be used instead.  GCC 11 has started warning about using volatile
	  with atomic operations.
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/1719
	  Discovered in https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/868
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/418>

2021-02-24 17:41:02 +0100  Paul Goulpié <paul.goulpie@ubicast.eu>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	  gstvaapiencoder_h264: add ENCODER_EXPOSURE on aud propertie
	  forgot during the following mainline commit: https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/commit/bc2f8fd19e924aa0e193708307326acd037691ce#
	  Signed-off-by: Paul Goulpié <paul.goulpie@ubicast.eu>

2021-02-04 15:05:55 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  plugins: postproc: Fix a problem of propose_allocation when passthrough.
	  We should query the downstream element to answer a precise allocation
	  query when the passthrough mode is enabled.
	  The current way still decides the allocation by the postproc itself. The
	  pipeline such as:
	  gst-launch-1.0 -v filesrc location=xxx.264 ! h264parse ! vaapih264dec ! \
	  vaapipostproc ! fakevideosink silent=false sync=true
	  will lose some info such as the GST_VIDEO_META_API_TYPE.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/413>

2021-01-27 12:05:44 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_drm.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_drm.h:
	* gst/vaapi/gstvaapivideocontext.c:
	  libs: display: drm: support gst.vaapi.app.Display context for drm backend
	  Attributes for drm backend:
	  - va-display : ponter of VADisplay
	  - drm-device-fd : the DRM device file descriptor
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/409>

2021-01-13 14:43:20 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* docs/index.md:
	* gst-libs/gst/vaapi/gstvaapidisplay_drm.c:
	  libs: display: drm: allow user specify a drm device via an env variable
	  Currently the default drm device is always used on a system with
	  multiple drm devices. This patch allows user to specify the required
	  drm device via GST_VAAPI_DRM_DEVICE env variable
	  Example:
	  GST_VAAPI_DRM_DEVICE=/dev/dri/renderD129 gst-launch-1.0 videotestsrc !
	  vaapih264enc ! fakesink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/409>

2021-01-25 14:45:47 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_drm.c:
	  libs: display: drm: fix set_device_path_from_fd
	  drmGetBusid() (GET_UNIQUE ioctl) won't return a valid bus id when
	  drmSetInterfaceVersion() (SET_VERSION ioctl) hasn't been called(see[1]),
	  so we can't get the right device path. Running test-display will get the
	  error below:
	  ** (test-display:18630): ERROR **: 10:26:00.434: could not create Gst/VA
	  display
	  Calling drmSetInterfaceVersion() before drmGetBusid() can't fix this
	  issue because a special permission is required for SET_VERSION ioctl.
	  This patch retrieves the device path from file descriptor via
	  g_file_read_link()
	  [1] https://github.com/torvalds/linux/blob/master/drivers/gpu/drm/drm_ioctl.c#L48-L104
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/412>

2021-01-20 10:42:09 +0100  Rafał Dzięgiel <rafostar.github@gmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils_glx.c:
	  glx: Iterate over FBConfig and select 8 bit color size
	  Texture upload mechanism used by gstreamer-vaapi relies on 8 bpc.
	  In latest mesa versions the first fbconfig might not be 8 bit, so iterate
	  over it to find the correct config with supported values.
	  This also adds 8 bit alpha size to the framebuffer configuration which is
	  required to get it working properly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/410>

2021-01-11 09:57:03 +0800  Ung, Teng En <teng.en.ung@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  vaapipostproc: fix code style.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/407>

2020-12-21 05:42:00 +0000  Ung, Teng En <teng.en.ung@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  vaapipostproc: Remove YUV to/from RGB color primary quirk since iHD driver has fixed in https://github.com/intel/media-driver/commit/a39fe9bc051a8c3efa8f35122a1585981ec7f816.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/407>

2020-12-21 05:36:29 +0000  Ung, Teng En <teng.en.ung@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  vaapipostproc: Added gstreamer BT2020 color standard support.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/407>

2021-01-09 16:05:48 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	  decoder: AV1: Fix a static analysis problem of update_state().
	  No need to check the picture pointer after we have already dereferenced it.
	  Fix: #298
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/408>

2020-12-22 23:43:52 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_objects.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_objects.h:
	  libs: decoder: Add decode_with_surface_id for AV1 film_grain.
	  The AV1 film_graim feature needs two surfaces the same time for
	  decoding. One is for recon surface which will be used as reference
	  later, and the other one is for display. The GstVaapiPicture should
	  contain the surface for display, while the vaBeginPicture() need
	  the recon surface as the target.
	  We add a gst_vaapi_picture_decode_with_surface_id API to handle this
	  kind of requirement.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/191>

2020-08-27 21:46:41 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_av1.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_av1.h:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/meson.build:
	* gst/vaapi/gstvaapidecode.c:
	* meson.build:
	  libs: decoder: AV1: Add the av1 decoder support.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/191>

2020-08-27 21:39:35 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapicodec_objects.c:
	* gst-libs/gst/vaapi/gstvaapicodec_objects.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_objects.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_objects.h:
	  libs: codecobject: Add number of elements when create codec object.
	  One slice data may need several slice parameter buffers at one time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/191>

2020-12-12 10:30:41 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapi: use gst_clear_object instead of g_clear_object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/406>

2020-12-08 13:34:35 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode.c:
	  plugins: encode: unlock the stream lock before _flush()
	  The current encoder will hang when EOS comes. When we call the
	  gst_vaapi_encoder_encode_and_queue(), we should release the stream
	  lock, just like what we do in gst_vaapiencode_handle_frame().
	  The deadlock happens when: The input thread holding the stream lock
	  is using gst_vaapi_encoder_create_coded_buffer() to acquire a coded
	  buffer, while the output thread which holding the coded buffer resource
	  is acquiring the stream lock in _push_frame() to push the data to
	  down stream element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/404>

2020-12-09 00:04:33 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	  libs: encoder: H264: Fix one assert in get_pending_reordered().
	  gst_vaapi_encoder_h264_get_pending_reordered() does not consider the
	  case for HIERARCHICAL_B mode. The pipeline:
	  gst-launch-1.0  videotestsrc num-buffers=48 ! vaapih264enc prediction-type=2 \
	  keyframe-period=32 ! fakesink
	  get a assert:
	  ERROR:../gst-libs/gst/vaapi/gstvaapiencoder_h264.c:1996:reflist1_init_hierarchical_b:
	  assertion failed: (count != 0)
	  The last few B frames are not fetched in correct order when HIERARCHICAL_B
	  is enabled.
	  We also fix a latent bug for normal mode. The g_queue_pop_tail() of B frames
	  make the last several frames encoded in reverse order. The NAL of last few
	  frames come in reverse order in the bit stream, though it can still output
	  the correct image.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/405>

2020-06-25 16:25:21 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: encoder: H265: Add screen content coding extensions support.
	  In scc mode, the I frame can ref to itself and it needs the L0 reference
	  list enabled. So we should set the I frame to P_SLICE type. We do not need
	  to change the ref_pic_list0/1 passed to VA driver, just need to enable the
	  VAEncPictureParameterBufferHEVC->pps_curr_pic_ref_enabled_flag to notify
	  the driver consider the current frame as reference. For bits conformance,
	  the NumRpsCurrTempList0 should be incremented by one to include the current
	  picture as the reference frame. We manually do it when packing the slice header.
	  Command line like:
	  gst-launch-1.0  videotestsrc num-buffers=10 ! \
	  capsfilter caps=video/x-raw,format=NV12, framerate=30/1,width=640,height=360 ! \
	  vaapih265enc ! capsfilter caps=video/x-h265,profile="{ (string)screen-extended-main }" ! \
	  filesink location=out.265
	  Can be used to specify that the encoder should use SCC profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/379>

2020-07-11 23:37:29 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: vp9: Implement the set_config().
	  We store the allowed profiles list to encoder in set_config().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/380>

2020-07-11 23:39:40 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: vp9: Add the profile into output caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/380>

2020-07-11 23:27:21 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: vp9: no need to ensure_hw_profile.
	  Once we decide the profile and can get the valid entrypoint for
	  that profile, hw must already support this profile/entrypoint pair.
	  No need to check it again in set_context_info().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/380>

2020-07-11 23:22:55 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: vp9: Improve the manner to decide the profile.
	  We should decide the VP9 encoder's profile based on the chroma and
	  depth of the input format, then make sure it is included in the
	  allowed list.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/380>

2020-07-11 23:17:02 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils_vpx.c:
	* gst-libs/gst/vaapi/gstvaapiutils_vpx.h:
	  libs: util: vpx: add get_chroma_format_idc for VP9
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/380>

2020-07-11 23:09:59 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.h:
	  libs: encoder: vp9: Add allowed_profiles.
	  We need the allowed_profiles to store the allowed profiles in down
	  stream's caps.
	  Command line like:
	  vaapivp9enc ! capsfilter caps=video/x-vp9,profile="{ (string)1, \
	  (string)3 }"
	  We need to store GST_VAAPI_PROFILE_VP9_1 and GST_VAAPI_PROFILE_VP9_3
	  in this list.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/380>

2020-11-30 18:00:30 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: H265: Fix a typo in scc reference setting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/402>

2020-07-17 18:00:30 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst/vaapi/gstvaapidecode.c:
	  libs: decoder: H265: Add MAIN_422_12 profile supporting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/390>

2020-07-31 14:38:42 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst-libs/gst/vaapi/video-format.h:
	  video-format: Add Y212_LE format.
	  It can be used as HEVC YUV_4:2:2 12bits stream's decoder output, and
	  also can be used as the input format for encoding HEVC YUV_4:2:2 12bits
	  stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/390>

2020-07-30 23:21:06 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst/vaapi/gstvaapidecode.c:
	  libs: decoder: H265: Add MAIN_444_12 profile supporting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/390>

2020-07-30 23:13:10 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst-libs/gst/vaapi/video-format.h:
	  video-format: Add Y412_LE format.
	  It can be used as HEVC YUV_4:4:4 12bits stream's decoder output, and
	  also can be used as the input format for encoding HEVC YUV_4:4:4 12bits
	  stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/390>

2020-09-17 16:47:43 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: h265: fill missing predictor_palette_size field.
	  The predictor_palette_size of VAPictureParameterBufferHEVCScc is
	  forgotten and need to be filled when streams have palettes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/396>

2020-09-17 15:35:11 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: utils: h265: Use get_profile_from_sps to get profile.
	  We now use gst_h265_get_profile_from_sps() to replace the old way
	  of gst_h265_profile_tier_level_get_profile() to get more precise
	  profile. The new function consider the unstandard cases and give
	  a more suitable profile decision.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/395>

2020-10-19 13:46:44 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	  libs: decoder: vp9: 0xff segment pred probs if no temporal update
	  According to the spec (6.2.11 Segmentation params syntax)
	  segmentation_pred_prob[i] ast to be 0xff if not temporal_update.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/400>

2020-10-19 13:42:53 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	  libs: decoder: vp9: avoid reference rewriting
	  The removed code set all the reference frames to the current frame it is a key
	  one, but later, all the reference frames were rewritten with the decoded picture
	  buffers or VA_INVALID_SURFACE if they were not available.
	  Basically, all this time the first reference frame assignment has been ignored,
	  and it's not described by the spec, and this patch removes that code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/400>

2020-09-20 09:56:40 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  decoder: don't reply src caps query with allowed if pad is fixed
	  If the pad is already fixed the caps query have to be reply with the
	  current fixed caps. Otherwise the query has to be replied with the
	  autogeneratd src caps.
	  This path fix this by falling back to the normal caps query processing
	  if the pad is already fixed. Otherwise it will fetch the allowed src
	  pad caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/397>

2020-09-15 00:11:30 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  plugins: decode: fix a DMA caps typo in ensure_allowed_srcpad_caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/392>

2020-09-01 09:31:33 +0200  Marc Leeman <m.leeman@televic.com>

	* gst/vaapi/gstvaapisink.c:
	  vaapisink: when updating the caps, reset rotation
	  When an element upstream changes settings (e.g. crop), new caps are sent
	  to vaapisink. When vaapisink was rotating the image, it needs to
	  re-evaluate if the sink needs to rotate the image.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/389>

2020-09-08 17:31:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	  ci: include template from gst-ci master branch again

2020-09-08 16:59:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.18.0 ===

2020-09-08 00:09:51 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.18.0

2020-09-07 12:15:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  Update for gst_video_transfer_function_*() function renaming
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/391>

2020-08-22 12:53:12 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  Revert "libs: decoder: h264, h265: in context at least 16 reference surfaces"
	  This reverts commit b387081a4d77d3da202da72686ab40fb9c83ee1e as discussed in
	  https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/commit/b387081a4d77d3da202da72686ab40fb9c83ee1e

=== release 1.17.90 ===

2020-08-20 16:16:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.17.90

2020-08-17 11:43:53 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface_egl.c:
	  libs: surface: egl: guard memory type
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/384>

2020-08-17 19:26:43 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  plugin: decode: Fix two mem leaks because of caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/385>

2020-08-16 01:57:15 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapivideomemory.c:
	  plugin: allocator: No need to ref allocator when create mem.
	  We do not need to ref the allocator when creating GstVaapiVideoMemory
	  kind memory, and then release it in _free(). The framework already
	  does it for us.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/383>

2020-08-14 10:42:51 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapiencode: h264: ignore level without breaking negotiation
	  Since commit 9f627ef2 if the user sets level in the encoder src caps
	  the caps negotiation is rejected.
	  But since the same commit the same encoder set the autoconfigured
	  level in caps. Some change in the base class might fixed the operation
	  order so now the caps are set and later negotiated.
	  This patch removes the level check.
	  Fixes: #273
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/382>

2019-07-09 19:17:48 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/egl_vtable.h:
	* gst-libs/gst/vaapi/gstvaapisurface_egl.c:
	* gst-libs/gst/vaapi/gstvaapisurface_egl.h:
	* gst-libs/gst/vaapi/gstvaapitexture_egl.c:
	  libs: egl: surface: export EGLImage as DMABuf if GEM not supported
	  This code path is used when frames are rendered as textures through
	  GstVideoGLTextureUploadMeta with EGL, mainly under Wayland.
	  Originally the EGLImage was exported as GEM, which was handled by
	  Intel drivers, but Gallium ones cannot create VA surfaces from
	  GEM buffers, only DMABuf.
	  This patch checks the memory types supported by VA driver to choose
	  the render the EGLImages from GEM or DMABuf, because GEM is still
	  better where supported.
	  DMABuf is well handled either by intel-vaapi-driver and gallium.
	  Fixes: #137
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/122>

2020-05-26 16:18:32 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	  libs: filter: gst_vaapi_filter_get_memory_types()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/122>

2020-08-12 18:48:59 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapipluginbase.h:
	  plugins: remove gst_vaapi_plugin_base_get_allowed_srcpad_raw_caps()
	  Since nobody uses it, just remove it.
	  Thus extract_allowed_surface_formats() is refactored to attend only
	  gst_vaapi_plugin_base_get_allowed_sinkpad_raw_caps().
	  Now a surface is created when the image chorma is different from the
	  previous one. And if the driver has the quirk, it outputs all the
	  supported image formats without trying them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/381>

2020-08-12 17:50:50 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: expose raw src caps with same chroma
	  The try-and-error approach for getting the possible image formats from
	  a surface has brought several problems in different drivers, from
	  crashes to drop in performance.
	  Instead of that we change the algorithm to determine the possible
	  image formats based in the surface chroma: only those available image
	  formats with same chroma are exposed as possible raw caps.
	  Do this is important to avoid performance degrading in raw sinks
	  which doesn't handle NV12 but it does YV12 or I420.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/381>

2020-07-10 17:05:38 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: util: h265: use common parser API to get vaapi profiles.
	  We can reuse H265 parser's API to recognize the correct profile and
	  then just need to convert them to VAAPI profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/356>

2020-08-07 16:41:49 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/meson.build:
	* gst/vaapi/meson.build:
	* meson.build:
	  build: update for gl pkg-config file split
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/378>

2020-08-06 12:51:27 +0800  Xu Guangxin <guangxin.xu@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	  h264dec: mark remaining frames as unreference before exec_picture_refs_modification
	  8.2.4.2 required this. Some clips will crash if we do not fill the reference list like this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/376>

2020-07-31 18:22:46 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: encoder: H265: Enable Main 12 profile support.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/375>

2020-07-31 19:17:39 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/video-format.c:
	  video format: Fix P012_LE's chrome type typo.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/375>

2020-08-04 21:15:01 +0300  Jordan Petridis <jordan@centricular.com>

	* gst-libs/gst/vaapi/gstvaapiminiobject.c:
	  gstvaapiminiobject.c:   fix clang 10 warnings
	  the typesystem checks in g_atomic_pointer_compare_and_exchange
	  seem to trigger some false positives with clang 10
	  similar to gstreamer!584
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/377>

2020-07-31 11:07:23 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  libs: window: wayland: destroy all wayland buffers during finalize
	  Some buffers and the associated FrameState state may still be pending at
	  that point. If the wayland connection is shared, then messages for the
	  buffer may still arrive. However, the associated event queue is already
	  deleted. So the result is a crash.
	  With a private connection the associated memory is leaked instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-18 20:25:18 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* tests/examples/test-vaapicontext.c:
	  test: vaapicontext: fix draw callback with multiple videos
	  The callback is called for both windows. So make sure that
	  gst_video_overlay_set_render_rectangle() is called for the correct one.
	  Otherwise, the left video will be randomly moved behind the right video.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-19 09:23:52 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* tests/examples/meson.build:
	* tests/examples/test-vaapicontext.c:
	  test: vaapicontext: support wayland display
	  On Wayland, The whole gtk window is one Wayland surface. So
	  gtk_widget_get_window() must be called on the top-level widget.
	  For any other widget the following gdk_window_ensure_native() may create a
	  new top-level Wayland surface that is never visible.
	  As a result, the coordinates passed to
	  gst_video_overlay_set_render_rectangle() must be relativ to the top-level
	  window. Otherwise the video is placed incorrectly.
	  Original-Patch-By: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2017-12-01 20:18:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/examples/test-vaapicontext.c:
	  test: vaapicontext: use playbin to test files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2017-11-29 11:11:39 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/examples/test-vaapicontext.c:
	  test: vaapicontext: add PLAY and NULL buttons
	  They only appear when only one sink is instanciated and their purpose
	  is to test the NULL-PLAY use case in context sharing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-19 21:26:52 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  libs: wayland: update the opaque region in set_render_rect
	  gst_vaapi_window_wayland_set_render_rect() may be called from an arbitrary
	  thread. That thread may be responsible for making the window visible.
	  At that point another thread will block in gst_vaapi_window_wayland_sync()
	  because the frame callback will not be called until the window is visible.
	  If that happens, then acquiring the display lock in
	  gst_vaapi_window_wayland_set_render_rect() would result in a deadlock.
	  Cache the size of the opaque rectangle separately and create the opaque
	  region right before applying it to the surface.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-19 09:21:16 +0200  Hyunjun Ko <zzoon@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiwindow.c:
	* gst-libs/gst/vaapi/gstvaapiwindow.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_priv.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	* gst/vaapi/gstvaapisink.c:
	  libs: window: implements gst_vaapi_window_set_render_rectangle
	  Implements new vmethod gst_vaapi_window_set_render_rectangle,
	  which is doing set the information of the rendered rectangle set by
	  user.
	  This is necessary on wayland at least to get exact information of
	  external surface.
	  And vaapisink calls this when gst_video_overlay_set_render_rectangle is
	  called.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2017-11-08 13:23:39 +0900  Hyunjun Ko <zzoon@igalia.com>

	* gst/vaapi/gstvaapisink.c:
	  vaapisink: implements gst_vaapisink_wayland_create_window_from_handle()
	  Implements gst_vaapisink_wayland_create_window_from_handle() to support
	  using external wl_surface.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-19 09:11:20 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapidisplay_wayland.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_wayland_priv.h:
	* gst-libs/gst/vaapi/gstvaapiwindow.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.h:
	  libs: wayland: implement video overlay API
	  The Wayland sub-surfaces API is used to embed the video into an application
	  window.
	  See Appendix A. Wayland Protocol Specification as the following.
	  """
	  The aim of sub-surfaces is to offload some of the compositing work
	  within a window from clients to the compositor. A prime example is
	  a video player with decorations and video in separate wl_surface
	  objects.
	  This should allow the compositor to pass YUV video buffer processing to
	  dedicated overlay hardware when possible.
	  """
	  Added new method gst_vaapi_window_wayland_new_with_surface()
	  Original-Patch-By: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
	  Zhao Halley <halley.zhao@intel.com>
	  changzhix.wei@intel.com
	  Hyunjun Ko <zzoon@igalia.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-19 21:54:52 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  doc: libs: wayland: add 'transfer full' to the returnvalye of gst_vaapi_window_wayland_new
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-06-11 08:25:57 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	  libs: display: always call close_display()
	  All close_display() have their own checks for use_foreign_display and only
	  destroy locally created objects in that case.
	  Without this objects other than the actuall foreign display itself are
	  leaked.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/342>

2020-07-30 23:37:10 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/video-format.h:
	  video-format: Add the missing P012_LE into GST_VAAPI_FORMATS_ALL.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/373>

2020-05-25 17:02:26 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugins: add gst_vaapi_caps_set_width_and_height_range()
	  This utility function is called internally by
	  gst_vaapi_build_caps_from_formats() and can be used outside.
	  This function sets frame size and framerates ranges.
	  Also gst_vaapi_build_caps_from_formats() is simplified.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/374>

2020-07-31 15:27:38 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	  libs: decoder: fix a crash issue when get_surface_formats.
	  Some context does not report any valid format that we can support.
	  For example, the HEVC 444 12 bits decoder context, all the formats
	  it reports is not supported now, which make the formats list a NULL
	  array. We should check that pointer before we use it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/372>

2020-07-03 19:28:28 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: choose the profile based on allowed list.
	  We can decide the profile in ensure_profile(), based on allowed list
	  passed by the encode. We also need to check whether the entrypoint is
	  available. Once it is decided, no need to check the hw entrypoint
	  them again.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/349>

2020-07-29 22:05:41 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_h265.c:
	  plugins: encode: h265: set all allowed profiles to encoder.
	  We should collect all allowed profiles and pass them to the inside
	  encoder, rather than just calculate the max profile idc.
	  The allowed profiles should also be supported by the HW.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/349>

2020-07-29 22:32:55 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	  libs: display: Add a helper function to get profiles by codec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/349>

2020-07-03 01:28:28 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_h265.c:
	  plugins: encode: h265: collect all allowed profiles to encoder.
	  We should collect all allowed profiles and pass them to the inside
	  encoder, rather than just calculate the max profile idc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/349>

2020-07-03 00:53:31 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.h:
	* gst/vaapi/gstvaapiencode_h265.c:
	  libs: encoder: h265: modify set_max_profile to set_allowed_profiles.
	  In h265, bigger profile idc may not be compatible with the small profile
	  idc. And more important, there are multi profiles with the same profile
	  idc. Such as main-422-10, main-444 and main-444-10, they all have profile
	  idc 4.
	  So recording the max profile idc is not enough, the encoder needs to know
	  all allowed profiles when deciding the real profile.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/349>

2020-07-02 23:33:31 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: No need to check hw_max_profile.
	  In h265, higher profile idc number does not mean better compression
	  performance and may be not compatible with the lower profile idc.
	  So, it is not suitable to find the heighest idc for hw to ensure the
	  compatibility.
	  On the other side, when the entrypoint of the selected profile is valid,
	  it means the hw really support this profile, no need to check it again.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/349>

2020-04-08 19:41:09 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: early return if fixate srcpad caps fails
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/371>

2020-07-29 13:39:44 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipluginutil.c:
	  vaapipluginutil: simplify gst_vaapi_find_preferred_caps_feature()
	  Generalize the way how the preferred color format is chosen. Also
	  use new GStreamre API as syntatic sugar.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/370>

2020-07-29 14:22:18 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapiencode.c:
	  libs: profile: Use get_codec_from_caps to get codec type.
	  There is no need to get a profile from the caps and then convert
	  that profile into codec type. We can get the codec type by caps's
	  name easily.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/358>

2020-07-12 19:42:40 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	  libs: profile: h265: Fix return value of from_codec_data_h265.
	  profile_from_codec_data_h265() returns wrong GstVaapiProfile for h265.
	  The codec data of caps contain the profile IDC, but the mapping between
	  profile IDC and GstVaapiProfile is wrong.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/358>

2020-07-07 00:46:23 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugins: encode: vp9: Implement vp9's allowed_profiles() func.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/188>

2020-07-08 16:30:17 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugin: util: rename h26x_encoder_get_profiles_from_caps().
	  Change its name to encoder_get_profiles_from_caps(). Other codecs such
	  as VP9 also needs to use this function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/188>

2020-07-06 23:35:12 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils_vpx.c:
	* gst-libs/gst/vaapi/gstvaapiutils_vpx.h:
	* gst-libs/gst/vaapi/meson.build:
	  libs: utils: vpx: Add utils vpx to handle VP8/9 misc things.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/188>

2020-07-29 10:17:31 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	  libs: display, context: handle broken jpeg decoder for i965 driver
	  JPEG decoding in i965 driver is pretty much broken, and the driver is
	  deprecated which mean authors only accept trivial fixes.
	  Surfaces for JPEG decoder context in i965 only handle IMC3[1] color
	  format which is not a common format in GStreamer. It can export it to
	  I420 at mapping raw bytes, but DMABuf exporting is problematic.
	  This patch artificially adds NV12 to the context format list when it's
	  JPEG decoder for i965 and force the usage of old VA-API for surface
	  creation without specifying color format. Also it artificially
	  disables the DMABuf announcement.
	  1. https://docs.microsoft.com/en-us/windows/win32/medfound/recommended-8-bit-yuv-formats-for-video-rendering#420-formats-16-bits-per-pixel
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/369>

2020-07-29 12:02:50 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	  libs: context: change function to internal code style
	  Instead of a getter the function `get_preferred_format()` to
	  `ensure_preferred_format()` which aligns to the code style.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/369>

2020-07-28 20:00:09 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: always merge profile caps in sink caps
	  This commit fixes a regression of e962069d, where if the profile's
	  caps doesn't have a caps profile, it's ignored.
	  This patch add a conditional jump if the caps doesn't have a profile
	  field to merge it.
	  Fixes: #271
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/368>

2020-07-28 12:22:40 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* meson.build:
	  build: request libdrm >= 2.4.98 and fallback
	  Fixes: #270
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/367>

2020-05-18 17:32:27 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: dma caps only use reported color format
	  This fix pipelines without vaapipostproc after vaapi decoder, such as
	  gst-launch-1.0 filesrc location=~/file.mp4 ! parsebin ! vaapih264dec ! glimagesink
	  On EGL platforms, so DMABuf is used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/366>

2020-02-07 17:10:45 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: use allowed srcpad caps for caps query
	  Instead of using just the template caps use the current allowed
	  srcpad caps, which is created considering the current decoder
	  context.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/366>

2020-01-22 17:41:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	* gst-libs/gst/vaapi/gstvaapidecoder.h:
	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: build allowed srcpad caps from va context
	  Instead of generating allowed srcpad caps with generic information,
	  now it takes the size an formats limits from the decoder's context.
	  This is possible since srcpad caps are generated after the internal
	  decoder is created.
	  The patch replaces gst_vaapi_decoder_get_surface_formats() with
	  gst_vaapi_decoder_get_suface_attributes().
	  From these attributes, formats are only used for VASurface memory
	  caps feature. For system memory caps feature, the old
	  gst_vaapi_plugin_get_allowed_srcpad_caps() is still used, since
	  i965 jpeg decoder cannot deliver mappable format for gstreamer.
	  And for the other caps features (dmabuf and texture upload) the
	  same static list are used.
	  This patch also adds DMABuf caps feature only if the context
	  supports that memory type. Nonetheless, we keep the pre-defined
	  formats since they are the subset of common derive formats formats
	  supported either by amd/gallium and both intel drivers, since,
	  when exporting the fd through vaAcquireBufferHandle()/
	  vaReleaseBufferHandle(), the formats of the derivable image cannot
	  be retriebable from the driver. Later we'll use the attribute
	  formats for the DMABuf feature too, when the code be ported to
	  vaExportSurfaceHandle().
	  Finally, the allowed srcpad caps are removed if the internal decoder
	  is destroyed, since context attribues will change.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/366>

2020-02-07 16:50:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: reorder src caps template
	  Since negotiation depends on caps order, first is VA, then DMABuf,
	  later GLUploadTexture (deprecated) and finally raw.
	  Also, for decoders, the possible available color formats for DMABuf
	  is extended to all the possible VA color formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/366>

2020-07-22 10:01:41 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  libs: window: wayland: use dmabuf protocol if available
	  Currently vaGetSurfaceBufferWl() is used to create wayland buffers.
	  Unfortunately this is not implemented by the 'media-driver' and Mesa VA-API
	  drivers. And the implementation provided by 'intel-vaapi-driver' is not
	  compatible with a Wayland server that uses the iris Mesa driver.
	  So create the Wayland buffers manually with the zwp_linux_dmabuf_v1 wayland
	  protocol. Formats and modifiers supported by the Wayland server are taken
	  into account. If necessary, VPP is enabled to convert the buffer into a
	  supported format.
	  Fall back to vaGetSurfaceBufferWl() if creating buffers via dambuf protocol
	  fails.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/346>

2020-07-21 10:03:19 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiwindow.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_priv.h:
	  libs: window: allow choosing the format for the vpp pool
	  Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/346>

2020-06-28 17:42:29 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/video-format.c:
	* gst-libs/gst/vaapi/video-format.h:
	  video-format: add DRM formats to the mapping table
	  This will be needed for the DMABuf protocol support to map DRM formats to
	  vaapi and gstreamer formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/346>

2020-07-22 09:36:18 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapidisplay_wayland.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_wayland_priv.h:
	* gst-libs/gst/vaapi/meson.build:
	  libs: display: wayland: add basic dmabuf protocol support
	  This is just the basic infrastructure. Hook up the interface and collect
	  all supported formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/346>

2020-07-06 09:59:40 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	  libs: window: wayland: wait for configure before committing the first buffer
	  Committing the first buffer for a surface must not be done before
	  ack_configure() has been sent for the xdg_surface.
	  With weston, the commit will fail with "error 3: xdg_surface has never been
	  configured".
	  Wait in gst_vaapi_window_wayland_show() until configure is done to avoid
	  this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/346>

2020-07-01 14:50:51 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: set no P frame automatically.
	  The double reference lists may be required by drivers and there should
	  be no P frames in the of stream. The old way of converting P frames to
	  B frames is by setting `low-delay-b` property, which is unconvenient
	  and has bad user experience, since most of the users do not know when
	  to set this property, and if it is not set correctly, the encoding
	  pipeline fails or even hangs on some platforms. VA driver now provides
	  a attribute to query whether both reference lists must be un-NULL for
	  a profile/entrypoint pair.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/284>

2020-04-15 16:26:55 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Deprecate the low-delay-b property.
	  In HEVC, P and B definitions are different from AVC: P frames have
	  just one reference list and so 1 MV, while B frames have two reference
	  lists and so 2 MVs. No matter B or P, ist reference lists can contain
	  forward/backward reference. So P and B can both have bi-directions
	  dependency, the difference is just their reference list
	  number (i.e. MV number). This is different from the AVC.
	  The *low delay b mode* refers to a special HEVC mode, in which the
	  stream just contain I and B frames, without P frames, and all B frames
	  only have forward direction dependencies (i.e. all inter frames have 2
	  reference lists but no backward reference in both lists).  This is
	  similar to AVC I/P mode, but changing the P to the forward dependent
	  B.
	  The `low-delay-b` property is now just used to simply convert all P
	  frames to B frames when driver does not support P frames (so both
	  reference lists have the same references frames). This is a little
	  different from the meaning of low delay b mode (the two ref lists may
	  have the different reference frames). And the driver now can report
	  whether it supports P frames correctly, so there is no need to use
	  this property and deprecate it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/284>

2020-07-24 12:54:31 +0200  Marc Leeman <m.leeman@televic.com>

	* gst/vaapi/gstvaapipostproc.c:
	  postproc: reconfigure after changing cropping values
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/365>

2020-07-09 13:49:29 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode.h:
	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: Add static caps for template documentation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 19:03:14 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: vp9: Use the dynamically built src template caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 19:02:45 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_vp8.c:
	  plugin: encode: vp8: Use the dynamically built src template caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 19:02:23 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_jpeg.c:
	  plugin: encode: jpeg: Use the dynamically built src template caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 19:00:39 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_mpeg2.c:
	  plugin: encode: mpeg2: Use the dynamically built src template caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 18:59:18 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_h265.c:
	  plugin: encode: h265: Use the dynamically built src template caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 18:57:26 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  plugin: encode: h264: Use the dynamically built src template caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 18:46:58 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode.h:
	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: Store the coded caps in type's init data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-08 18:30:00 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugin: util: add helper function build_template_coded_caps_by_codec()
	  Like build_template_raw_caps_by_codec(), this function can detect and
	  build the caps for specified codec based on the query of the profiles.
	  The result is coded caps such as video/x-h265, video/x-h264. The result
	  can be used as the template of encode's src or decode's sink.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-07 17:16:41 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode.h:
	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugins: utils: rename build_template_caps_by_codec.
	  Rename the function build_template_caps_by_codec() to the name of
	  build_template_raw_caps_by_codec(). It can be used to collect all
	  raw video formats for encode's sink and decode's src.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/354>

2020-07-21 20:14:57 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  vaapidecode: merge common profiles before setting size range
	  The synthetic profiles, such as H264 baseline, H265 intra, etc. are
	  added at the end of processing all available VA profiles. This
	  generated an non-optimal caps for negotiation, since the synthetic
	  profiles don't have frame size ranges.
	  This patch adds those possible synthetic profiles when the associated
	  profile is processed, with its frame size ranges.
	  Now allowed sink caps are simpler.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/363>

2020-07-21 22:05:08 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapipluginutil.c:
	  plugin: util: Add the missing DMA buffer input in template caps.
	  We pass the wrong parameter to gst_vaapi_build_caps_from_formats()
	  and lose the DMA feature in caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/362>

2020-07-14 18:13:56 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst/vaapi/gstvaapidecode.c:
	  libs: decoder: H265: Add MAIN_12 profile supporting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/359>

2020-07-09 23:07:38 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/video-format.c:
	  video-format: Add P012_LE format.
	  It can be used as HEVC YUV_4:2:0 12bits stream's decoder output, and
	  also can be used as the input format for encoding HEVC YUV_4:2:0 12bits
	  stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/359>

2020-07-17 00:45:53 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  plugin: decode: correct ensure_allowed_sinkpad_caps's caps.
	  The decode allowed caps returned by ensure_allowed_sinkpad_caps()
	  contains all profiles of the whole VAAPI, like:
	  image/jpeg, width=(int)[ 0, 1638 4 ], height=(int)[ 0, 16384 ];
	  video/mpeg, mpegversion=(int)2, profile=(string){ simple, main },
	  width=(int)[ 0, 2048 ], height=(int)[ 0, 2048 ]; video/x-h264,
	  profile=(string){ main, high, constrained-baseline }, width=(int)[ 0,
	  4096 ], height=(int)[ 0, 4096 ]; video/x-h264, profile=(string){
	  constrained-high, progressive-high, baseline }; video/x-h265,
	  profile=(string){ main, main-intra }, width=(int)[ 0, 8192 ],
	  height=(int)[ 0, 8192 ]; video/x-vp8, width=(int)[ 0, 4096 ],
	  height=(int)[ 0, 4096 ]; video/x-wmv, wmvversion=(int)3,
	  format=(string)WVC1, profile=(string)advanced, width=(int)[ 0, 3840 ],
	  height=(int)[ 0, 3840 ]; video/x-wmv, wmvversion=(int)3,
	  profile=(string){ simple, main }, width=(int)[ 0, 3840 ],
	  height=(int)[ 0, 3840 ]
	  Which is verbose and may have latent problems. It should only contains
	  the profiles belong to its codec type. For example, h265 should only
	  return:
	  video/x-h265, profile=(string){ main, main-intra },
	  width=(int)[ 0, 8192 ], height=(int)[ 0, 8192 ]
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/361>

2020-07-13 11:06:18 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	  vaapidecodebin: don't force NV12 since P010_10LE is now possible
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/360>

2020-07-12 20:34:31 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	  libs: profile: The VP9 profiles' name should be just "0,1,2,3"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/357>

2020-07-08 17:33:32 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	* gst-libs/gst/vaapi/gstvaapidecoder.h:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapidecode.h:
	* tests/internal/simple-decoder.c:
	  vaapidecode: Remove NO_SURFACE error handling
	  Since surfaces are not bounded to decoding context it makes no sense
	  to keep the surface semaphore. This patch removes the handling of
	  this error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/353>

2020-07-08 17:48:57 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapidecode.h:
	  Revert "vaapidecode: drop non-keyframe in reverse playback"
	  Since the number of surfaces are not bounded to decoder context,
	  this hack is no longer needed.
	  This reverts commit 19c0c8a97385ce119440c4aad2d689fc79297435.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/353>

2019-12-06 14:21:33 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	  libs: decoder: context: remove surfaces binding from context.
	  The vaCreateContext do not need to specify the surfaces for the
	  context creation now. So we do not need to bind any surface to the
	  context anymore. Surfaces should be the resource belong to display
	  and just be used in encoder/decoder context.
	  The previous manner has big limitation for decoder. The context's
	  surface number is decided by dpb size. All the surfaces in dpb will
	  be attached to a gstbuffer and be pushed to down stream, and the
	  decoder need to wait down stream free the surface and go on if not
	  enough surface available. For more and more use cases, this causes
	  deadlock. For example,
	  gst-launch-1.0 filesrc location=a.h264 ! h264parse ! vaapih264dec
	  ! x264enc ! filesink location=./output.h264
	  will cause deadlock and make the whole pipeline hang.
	  the x264enc encoder need to cache more than dpb size surfaces.
	  The best solution is seperating the surfaces number and the dpb size.
	  dpb and dpb size shoule be virtual concepts maintained by the decoder.
	  And let the surfaces_pool in context maintain the re-use of all surfaces.
	  For encoder, the situation is better, all the surfaces are just used
	  as reference frame and no need to be pushed to down stream. We can
	  just reserve and set the capacity of the surfaces_pool to meet the
	  request.
	  Fix: #147
	  Fix: #88
	  Co-Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/353>

2020-07-08 17:50:51 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/extract-release-date-from-doap-file.py:
	  meson: set release date from .doap file for releases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/355>

2020-07-08 11:57:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipluginbase.c:
	  plugins: use VA allocator by default on raw caps
	  Instead of using dmabuf allocator in source pad, when raw video caps
	  are negotiated, it uses VA allocator as before, since it is stable
	  in more use cases, for example transcoding, and more backend drivers.
	  Dmabuf allocator is only used when dmabuf caps feature is negotiated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/352>

2020-06-06 18:47:35 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapi.c:
	  vaapisink: rank it as secondary
	  iHD doesn't provide a full implemention for rendering surfaces and
	  i965 has problems in wayland. And I suspect this path is followed
	  by other driver implementations.
	  This patch demotes the rank of vaapisink to secondary, so it will
	  not be autoplugged avoiding bad experience of users.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/336>

2020-06-19 10:44:50 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: h264, h265: in context at least 16 reference surfaces
	  Registering only stream's DBP size number of surfaces for decoding VA
	  surfaces brings issues for certain streams. This change register all
	  possible number of reference surfaces in a stream, which is 16.
	  Fixes: #94

2020-07-04 21:21:57 +0800  He Junyan <junyan.he@intel.com>

	* gst/vaapi/gstvaapiencode_h265.c:
	  plugins: encode: h265: Add profile,level,tier to output caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/350>

2020-07-04 21:08:20 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: init tier to GST_VAAPI_TIER_H265_UNKNOWN.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/350>

2020-07-04 21:05:49 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: fix a bug to get get_profile_tier_level.
	  0 is a valid value for h265 tier.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/350>

2020-07-02 19:19:35 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: no need to check the high compression tune.
	  The h265 encoder just support tune mode:
	  (0): none             - None
	  (3): low-power        - Low power mode
	  So, no need to check and set the high compression parameters.
	  And by the way, the current ensure_tuning_high_compression manner
	  of choosing the hightest profile idc as the best compression profile
	  is not correct. Unlike h264, in h265 the higher profile idc number
	  does not mean it has more compression tools, and so it has better
	  compression performance. It may even be un-compatible with the lower
	  profile idc. For example, the SCREEN_CONTENT_CODING profile with idc
	  9 is not compatible with 3D_MAIN profile with idc 8.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/348>

2020-07-03 02:04:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.2 ===

2020-07-03 00:36:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.17.2

2020-06-23 10:20:46 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	* gst/vaapi/gstvaapiencode.c:
	  docs: Mark parent classes as plugin API

2020-06-23 00:07:57 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  meson: mark plugins cache target as always stale

2020-06-19 23:34:11 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  doc: Stop documenting properties from parents

2020-06-20 00:28:35 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.1 ===

2020-06-19 19:27:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer-vaapi.doap:
	* meson.build:
	  Release 1.17.1

2020-06-19 15:21:56 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  Update plugin docs and add more plugins
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/344>

2020-06-11 08:32:05 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapidisplay_wayland.c:
	  libs: wayland: display: only handle the first output
	  Right now, all outputs are handled. The means that the registry object for
	  all but the last are leaked. As a result the sizes are not used correctly.
	  With two outputs, at first the mode and physical size of the second output
	  are used. If the first output changes the mode, then the physical size of
	  the second output is used in combination with the resolution of the first
	  output. The resulting pixel aspect ratio is incorrect.
	  There seems to be no way to determine on which output the window is shown,
	  so just use the first one to get consistent results.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/341>

2020-06-11 18:15:17 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapipluginbase.c:
	  plugins: pluginbase: Do not destroy display when _close()
	  When the element's state changes to NULL, it can still receive
	  queries, such as the image formats. The display is needed in such
	  queries but not well protected for MT safe.
	  For example, ensure_allowed_raw_caps() may still use the display
	  while it is disposed by gst_vaapi_plugin_base_close() because of
	  the state change.
	  We can keep the display until the element is destroyed. When the
	  state changes to NULL, and then changes to PAUSED again, the display
	  can be correctly set(if type changes), or leave untouched.
	  Fix: #260
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/343>

2020-06-09 21:19:11 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	  libs: context: use correct printing modifier
	  GstVaapiID is an alias of gsize, thus its modifier is platform
	  dependant.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/340>

2020-06-06 00:42:46 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapivalue.c:
	  plugins: uddate gst_type_mark_as_plugin_api() calls

2020-03-05 18:12:27 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Enable tile in VA command.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-03-05 17:56:51 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Add ensure_tile to calculate tiles.
	  We need consider tiles and slices together, separate tiles uniformly
	  and then assign slices uniformly to each tiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-04-30 14:19:29 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	  libs: display: add a quirk for iHD driver tile encoding.
	  The iHD driver has a requirement that one slice can not span tiles
	  when tile is enabled, which is not required by hevc spec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-03-05 17:40:43 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Add tile info to bitstream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-03-05 17:29:41 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: promote level if tile is enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-03-05 17:07:28 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.h:
	  libs: encoder: h265: Add num-tile-cols/rows properties.
	  These properties are used for support of tile encoding. We just
	  support uniform mode of tile encoding, that is, separating picture
	  equally by (num-tile-cols X num-tile-rows).
	  According to HEVC spec A1, the max number of tiles in column is 20
	  and in rows is 22, so add two constant definitions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-03-05 16:21:24 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: extract slice creation from add_slice_headers
	  extract slice creation details from add_slice_headers, and let the
	  add_slice_headers just focuses on calculating slice start address
	  and CTU number.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-03-05 12:44:45 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: Add a helper function to check the tile support.
	  Encoding by tiles separation now is a very common feature for all
	  relative new codecs, such as HEVC, AV1, and VP9. Just make this
	  check as a common helper function of the encoder base class.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/294>

2020-05-13 18:02:07 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: decoder: H265: Add SCC_MAIN_444_10 profile support.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/311>

2020-05-13 16:05:59 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: update reference list for SCC.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/311>

2020-05-13 15:46:29 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: H265: Fill picture and slice SCC parameters.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/311>

2020-05-13 15:00:53 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: util: H265: recognize the SCC profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/311>

2020-05-13 14:53:46 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: profile: Add screen extended main/main10/main444 define.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/311>

2020-04-03 14:53:40 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	  libs: encoder: h265: Add support for MAIN 4:2:2 10 profile.
	  Using YUY2 as the input of the encoder can generate main 4:2:2 bit
	  streams and using Y210 as the input of the encoder can generate main
	  4:2:2 10 bit streams.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/334>

2020-05-29 16:40:20 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Use correct index for SubWidthC and SubHeightC.
	  We need to use the chroma_format_idc as the index for getting the
	  SubWidthC and SubHeightC values as the spec 6.1(table 6-1) defines.
	  The wrong SubWidthC or SubHeightC make us calculate a wrong right
	  or bottom offset for crop size and generate garbage in output.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/334>

2020-05-29 15:37:24 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: encoder: h265: Fix chrome idc for 444 10 bits
	  GST_VAAPI_CHROMA_TYPE_YUV444_10BPP should also set chroma_format_idc
	  to 3 as GST_VAAPI_CHROMA_TYPE_YUV444 does.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/334>

2020-06-03 18:37:22 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Require hotdoc >= 0.11.0

2020-06-03 18:49:53 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  doc: Fix wrong link to GstVideoDirectionMethod

2020-06-03 17:38:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	* meson_options.txt:
	  docs: Update plugin cache with the new format
	  And fix the default URL which should not be inside quotes.

2020-06-03 17:37:48 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapivalue.c:
	* gst/vaapi/gstvaapipostproc.c:
	  Use gst_type_mark_as_plugin_api() for all non-element plugin types

2020-05-23 22:09:17 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapibufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapibufferproxy_priv.h:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_mpeg4.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_vc1.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapiimage.h:
	* gst-libs/gst/vaapi/gstvaapiobject.c:
	* gst-libs/gst/vaapi/gstvaapiobject.h:
	* gst-libs/gst/vaapi/gstvaapiobject_priv.h:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapisubpicture.c:
	* gst-libs/gst/vaapi/gstvaapisubpicture.h:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	* gst-libs/gst/vaapi/gstvaapisurfaceproxy_priv.h:
	* gst-libs/gst/vaapi/gstvaapivideopool.c:
	* gst-libs/gst/vaapi/meson.build:
	  libs: delete all gstvaapiobject related files.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/331>

2020-05-23 20:48:54 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: surface: return fail immediately if can not create subpicture
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/331>

2020-05-23 14:00:58 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapisubpicture.c:
	* gst-libs/gst/vaapi/gstvaapisubpicture.h:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* tests/internal/image.c:
	  libs: subpicture: Make subpicture a standard GstMiniObject.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/331>

2020-05-26 02:19:15 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	  libs: decoder: h264: Add ref flags for splited field.
	  When split one frame into fields, the second field should also
	  copy the reference flags.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/333>

2020-05-25 15:46:58 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	  libs: decoder: h264: disallow multiple slice group
	  As far as we know there are no VAAPI drivers supporting FMO, which
	  migth be used in baseline streams.
	  This commit is a continuation of
	  https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/328
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/332>

2020-05-20 10:50:05 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h264.h:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapidecode_props.c:
	* gst/vaapi/gstvaapidecode_props.h:
	  vaapidecoder: h264: remove baseline as constrained property
	  From now on always the baseline is going to be treated as constrained without
	  need of setting a property.
	  Since the property was added along the development cycle (1.17 / commit
	  866a9f06) and never released, we assume that it is safe to remove it.
	  Fixes: #252
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/328>

2020-05-21 11:37:36 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* README:
	  README: update VP9 decoder and encoder
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/330>

2020-05-21 13:42:47 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	  vaapiencoder_h264: set direct_spatial_mv_pred_flag to true by default
	  This flag is set to true by default in both MediaSDK and FFmpeg-vaapi,
	  so let's align this plugin with other libraries / softwares.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/329>

2020-05-18 18:29:05 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: fix meta overwrite
	  commit 7ac2a207 added a regression by erroneously assumed that
	  GstVaapiVideoMeta is actually a GstMeta, which is not.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/327>

2020-05-17 09:55:42 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	* gst/vaapi/gstvaapivideometa_texture.c:
	* gst/vaapi/gstvaapivideometa_texture.h:
	  vaapivideopool: Set pooled flag to added metas.
	  So this could hint filters how to use these metas.
	  Had to change the return value for texutre upload meta in order
	  to flag it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/326>

2020-05-16 20:49:31 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_x11.c:
	* gst-libs/gst/vaapi/gstvaapiparser_frame.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: use array_unref() rather than array_free()
	  It is more convinience and thread-safe.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/325>

2020-04-10 22:20:35 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapi.c:
	  plugin: use register_type to replace get_type for encode init.
	  xxx_register_type will detect the template sink caps and is needed
	  to be called at init time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 22:05:50 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_vp9.c:
	* gst/vaapi/gstvaapiencode_vp9.h:
	  plugins: encode: Modify sink template of vp9 encode.
	  Use gst_vaapi_detect_codec_caps to get more precise template caps.
	  Also implement gst_vaapiencode_vp9_register_type, which should be
	  called at plugin register time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 22:05:18 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp8.h:
	  plugins: encode: Modify sink template of vp8 encode.
	  Use gst_vaapi_detect_codec_caps to get more precise template caps.
	  Also implement gst_vaapiencode_vp8_register_type, which should be
	  called at plugin register time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 22:04:34 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_mpeg2.h:
	  plugins: encode: Modify sink template of mpeg2 encode.
	  Use gst_vaapi_detect_codec_caps to get more precise template caps.
	  Also implement gst_vaapiencode_mpeg2_register_type, which should be
	  called at plugin register time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 22:03:49 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_h265.h:
	  plugins: encode: Modify sink template of h265 encode.
	  Use gst_vaapi_detect_codec_caps to get more precise template caps.
	  Also implement gst_vaapiencode_h265_register_type, which should be
	  called at plugin register time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 22:00:38 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h264.h:
	  plugins: encode: Modify sink template of h264 encode.
	  Use gst_vaapi_detect_codec_caps to get more precise template caps.
	  Also implement gst_vaapiencode_h264_register_type, which should be
	  called at plugin register time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 22:11:34 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_jpeg.h:
	  plugins: encode: Modify sink template of jpeg encode.
	  Use gst_vaapi_detect_codec_caps to get more precise template caps.
	  Also implement gst_vaapiencode_jpeg_register_type, which should be
	  called at plugin register time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-23 00:02:02 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.h:
	  plugin: encode: add a helper macro to register encode type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 21:44:05 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugins: util: Add a helper function to detect supported caps.
	  This helper function iterate all profiles and entrypoints belong
	  to the specified codec, query the VAConfigAttribRTFormat and list
	  all possible video formats.
	  This function is used by each codec to get the template sink caps
	  (for encode) or src caps(for decode) at register time, when just
	  all possible formats are listed and no need to be very accurate.
	  So there is no context created for the performance reason. Most
	  codecs just use YUV kinds of formats as the input/output, so we do
	  not include RGB kinds of formats. User can specified more formats
	  in extra_fmts(For example, jpeg may need BGRA) if needed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 21:27:32 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugin: encode: extract the allowed caps maker as a helper function.
	  Extract all logic about making caps for encode's sink as a standalone
	  helper function. It can be reused.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-04-10 21:21:43 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/video-format.c:
	* gst-libs/gst/vaapi/video-format.h:
	  libs: video-format: add a helper function of get_formats_by_chroma.
	  The function iterates all supported video formats and returns the
	  formats belong to the specified chroma type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/315>

2020-05-16 21:03:32 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapitexture.c:
	* gst-libs/gst/vaapi/gstvaapitexture_priv.h:
	  libs: texture: remove unused headers include
	  This is continuation of
	  https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/317
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/324>

2020-05-16 19:58:25 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicodedbuffer.h:
	* gst-libs/gst/vaapi/gstvaapiimage.h:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	  libs: removed duplicated function declarations
	  Some headers had duplicated inlined function declaration. This was
	  for gtkdoc, but now GStreamer uses hotdoc and the internal library
	  documentation is not generated. So let's remove these extra lines.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/323>

2020-04-18 19:32:24 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapitexture.c:
	* gst-libs/gst/vaapi/gstvaapitexture.h:
	* gst-libs/gst/vaapi/gstvaapitexture_egl.c:
	* gst-libs/gst/vaapi/gstvaapitexture_glx.c:
	* gst-libs/gst/vaapi/gstvaapitexture_priv.h:
	* gst-libs/gst/vaapi/gstvaapitexturemap.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_egl.c:
	* gst/vaapi/gstvaapivideometa_texture.c:
	* tests/internal/test-textures.c:
	  libs: texture: Make texture a standard GstMiniObject.
	  We store GstVaapiTextureGLX and GstVaapiTextureEGL's private data in
	  the qdata of miniobject and avoid extending the base texture class.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/317>

2020-04-26 12:33:29 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* README:
	  Update README
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/320>

2020-04-21 18:00:26 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_drm.c:
	  libs: display: drm: use g_strcmp0 to be null safe
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/321>

2020-04-26 13:30:16 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst/vaapi/gstvaapipluginutil.c:
	  vaapipluginutil: Use GST_VAAPI_DISPLAY_TYPE_DRM for Mesa3D GBM
	  We may build this plugin with window system support but run it without
	  window system. Without this patch, the following pipeline will trigger a
	  segfault when running it without window system.
	  gst-launch-1.0 filesrc location=input.264 ! h264parse ! vaapih264dec ! fakesink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/merge_requests/319>

2020-04-21 11:16:37 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* meson.build:
	  build: use join_paths() for driverdir

2020-04-21 09:04:51 +0000  Veerabadhran G <vegopala@amd.com>

	* README:
	  README: Update supported hardware
	  Added the AMD hardware list to the "Hardware Requirements" section.

2020-04-04 13:58:00 +0200  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapibufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapibufferproxy.h:
	* gst-libs/gst/vaapi/gstvaapibufferproxy_priv.h:
	  libs: bufferproxy: remove GstMemory reference
	  Since bufferproxy and surface are not referenced circularly, there's
	  no need to keep, in the buffer proxy, a reference to the GstMemory
	  where it is held. This patch removes that handling.

2020-03-15 23:29:05 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapibufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface_drm.c:
	* gst-libs/gst/vaapi/gstvaapisurface_drm.h:
	* gst/vaapi/gstvaapivideomemory.c:
	  libs,plugin: break surface-bufferproxy circular reference
	  The bufferproxy may reference the surface and the surface may also
	  reference the bufferproxy, producing a circular reference, which might
	  lead to serious resource leak problems.
	  Now make the relationship clearer, the bufferproxy's references is
	  transfered to surface, while bufferproxy just keeps the surface's
	  address without increasing its reference count.
	  The surface can be created through a bufferproxy like in
	  gst_vaapi_surface_new_with_dma_buf_handle(), and the surface might
	  get its bufferproxy via gst_vaapi_surface_get_dma_buf_handle(). In
	  both cases the surface holds a bufferproxy's reference.

2020-04-03 18:43:52 +0200  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapibufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapibufferproxy_priv.h:
	* gst-libs/gst/vaapi/gstvaapisurface_drm.c:
	  libs: bufferproxy: rename parent memeber as surface

2020-03-15 22:07:31 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  plugin: bufferpool: use hashmap to cache dmabuf mem-surface
	  The old way of refer memory by bufferproxy is not a good one, since it
	  make the logic error prone.
	  Now it is established a map between surface-bufferproxy and its GstMemory,
	  caching the memory bound by a surface looked for the specified surface.

2020-03-15 21:50:24 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	* gst/vaapi/gstvaapivideobufferpool.h:
	  plugin: bufferpool: Delete ACQUIRE_FLAG_NO_ALLOC flag.
	  Delete the GST_VAAPI_VIDEO_BUFFER_POOL_ACQUIRE_FLAG_NO_ALLOC flag.
	  In fact, no one is using that flag, and all vaapi buffers should
	  have GstVaapiVideoMeta.

2020-02-13 09:43:38 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostproc.h:
	  vaapipostproc: enable HDR10 tone mapping

2020-02-13 09:00:18 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	  libs: filter: HDR10 tone mapping support
	  Add support for HDR10 tone mapping (since VA-API 1.4.0).

2020-04-02 15:14:15 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	  libs: encoder: h265: Support MAIN 4:4:4 10 profile.
	  Using Y410 as the input of the encoder can generate main_444_10 bit
	  streams.

2020-04-02 15:19:41 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: fix an inexact trace info in chroma type check.

2020-03-31 12:22:31 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: make sure format array is not NULL when returning TRUE
	  This fixed segfault when running the pipeline below with iHD driver
	  (commit efe5e9a) on ICL
	  gst-launch-1.0 videotestsrc ! vaapivp9enc tune=low-power ! vaapivp9dec ! \
	  fakesink

2020-03-18 13:28:00 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_h264.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_jpeg.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_mpeg2.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_mpeg4.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_vc1.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_vp8.h:
	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.h:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	* gst-libs/gst/vaapi/gstvaapidisplay_drm.h:
	* gst-libs/gst/vaapi/gstvaapidisplay_egl.h:
	* gst-libs/gst/vaapi/gstvaapidisplay_glx.h:
	* gst-libs/gst/vaapi/gstvaapidisplay_wayland.h:
	* gst-libs/gst/vaapi/gstvaapidisplay_x11.h:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.h:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	* gst-libs/gst/vaapi/gstvaapitexturemap.h:
	* gst-libs/gst/vaapi/gstvaapiwindow.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_drm.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_egl.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_glx.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11.h:
	  libs: extend g_autoptr support

2020-03-26 22:40:40 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideometa.c:
	  vaapivideometa: remove compiler warning

2020-03-22 20:59:20 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* meson.build:
	* meson_options.txt:
	  build: Add meson's option package-origin.
	  This options is added to synchronize with other gstreamer packages
	  build configuration.
	  Though, to avoid breaking distro configuration it is set, as default,
	  the issues gitlab's url, instead of the used string
	  "Unkown package origin".
	  Also, set_quoted is used for string based cdata.

2020-02-25 13:45:05 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: deprecate format, width and size parameters
	  Since they should only be controlled by caps negotiation.

2020-03-18 16:41:01 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst/vaapi/gstvaapidecode.c:
	  libs,plugins: decoder: Add -intra profile support for hevc.
	  In hevc, we can consider the -intra profile a subset of the none
	  -intra profile. The -intra profiles just contain I frames and we
	  definitely can use the none -intra profiles's context to decode
	  them.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2020-03-04 12:35:42 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: support ICQ/QVBR BRC
	  Enable support for ICQ and QVBR bitrate control.
	  The code is essentially the same for h264 ICQ/QVBR support
	  which was added in commit 9e0c133a2403.

2020-03-19 11:19:18 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: set VA HRD param before RC param
	  This is a workaround for intel-media-driver bug
	  https://github.com/intel/media-driver/issues/865
	  The driver will force the RC method to CBR for HEVCe
	  when it parses the HRD param.  Thus, any RC method
	  param submitted "prior" to the HRD param will be lost.
	  Therefore, VBR, ICQ and QVBR for HEVCe can't be
	  effectively enabled if the RC method param "precedes"
	  the HRD param.
	  To work around this issue, set the HRD param before
	  the RC method param so the driver will parse the RC
	  method param "after" the HRD param.
	  Afaict, other codecs in the driver (and other drivers)
	  do not appear to be dependent on the order of HRD and
	  RC param submission.

2019-11-25 14:16:30 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	  vaapijpegenc: Add a quantization quirk for iHD driver
	  iHD driver shifts the value by 50 when calculating quantization for JPEG
	  encoding, so we should add 50 in this plugin for iHD driver too.

2020-03-13 21:49:15 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_x11.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_x11_priv.h:
	* gst-libs/gst/vaapi/gstvaapipixmap.c:
	* gst-libs/gst/vaapi/gstvaapipixmap.h:
	* gst-libs/gst/vaapi/gstvaapipixmap_priv.h:
	* gst-libs/gst/vaapi/gstvaapipixmap_x11.c:
	* gst-libs/gst/vaapi/gstvaapipixmap_x11.h:
	* gst-libs/gst/vaapi/gstvaapiwindow.c:
	* gst-libs/gst/vaapi/gstvaapiwindow.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_egl.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_priv.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11_priv.h:
	* gst-libs/gst/vaapi/meson.build:
	* meson.build:
	* tests/internal/output.c:
	* tests/internal/output.h:
	* tests/internal/simple-decoder.c:
	* tests/internal/test-decode.c:
	  libs: remove GstVaapiPixmap
	  GstVaapiPixmap is an abstract base class which only implementation
	  were GstVaapiPixmapX11. This class were used for a special type of
	  rendering in the tests apps, utterly unrelated in GStreamer.
	  Since gstreamer-vaapi is no longer a general-user wrapper for VA-API
	  we should remove this unused API.
	  This removal drops libxrender dependency.

2020-03-17 18:51:19 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: Add HEVC Main444 sting in string_of_VAProfile
	  HEVCMain444_10 is already a supported profile and misses the strings.

2020-03-17 12:47:33 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapi.c:
	  plugin: don't error if cannot create display
	  This might generated errors on automatic tools such as CI. Let's
	  rather just raise a warning and let continue.

2020-03-09 01:52:57 +0800  He Junyan <junyan.he@hotmail.com>

	* tests/check/meson.build:
	  test: fix a ninja test failure for vaapioverlay.
	  That test case only works with drm display, so the build such as
	  meson -Dwith_x11=yes -Dwith_wayland=no -Dwith_drm=no -Dwith_egl=no
	  -Dwith_glx=no
	  gets a failure when run ninja test. Just enable this test when drm
	  is enabled.

2020-02-07 23:56:13 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapivideopool.c:
	  libs: videopool: fix a condition race for pool allocate.

2020-03-05 13:22:23 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: force video meta if sizes are different
	  The strides and offsets could be the same, but the allocation
	  size might be different (e.g. alignment).  Thus, ensure we also
	  set the flag to copy from VA memory to system memory when alloc
	  size differs.
	  Fixes #243

2020-03-05 14:18:32 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: don't set base sink caps twice
	  Base class's sink pad caps are already set when calling set_format().
	  There's no need to call it again in gst_vaapidecode_negotiate().

2020-03-05 13:26:38 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: unlock stream if caps update fails
	  If caps update fail a dead lock occurs since the stream mutex is not
	  unlocked.

2020-03-03 15:24:32 +0800  Xu Guangxin <guangxin.xu@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: h265: parser state after update dependent slice
	  If the dependent_slice_segment_flag is true, most slice info derived from last slice.
	  So we need check the slice type after we call populate_dependent_slice_hdr

2020-02-16 12:21:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	  libs: display: force RGBA image format for i965 driver
	  Since commit 32bf6f1e GLTextureUpload is broken because i965
	  doesn't report properly RGBA support. It could be possible to use RGBx
	  but GLTextureUpload only regotiates RGBA.
	  The simplest fix to this regression is adding synthetically the RGBA
	  format in the internal format map.

2020-02-14 19:30:54 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	  libs: display: iterate all quirks table
	  Instead of break at the fist foud quirk in the table, iterate all over
	  so it would be feasible to add several quirks for one driver per
	  element in array.

2020-02-25 12:05:28 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: handle RGB to/from YUV color primary driver quirk
	  The intel-media-driver (iHD) can't convert output color
	  primaries when doing YUV to/from RGB CSC.  Thus, we must
	  keep the output color primaries the same as the input
	  color primaries for this case.
	  fixes #238

2020-02-25 12:00:36 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	  libs: display: add YUV to/from RGB color primary quirk
	  The intel-media-driver (iHD) can't convert output color
	  primaries when doing YUV to/from RGB CSC.

2020-02-28 11:33:18 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideomemory.c:
	  Revert "vaapivideomemory: Store surface allocation flags."
	  This reverts commit dd428cc4a12c2d5c694fcd3303811cf486002c9d because
	  it rewrites the buffer size whilst surface allocation flags are
	  stored when allocator_params_init() is called since fab890ce.
	  Fix: #239

2020-01-27 18:19:57 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideomemory.c:
	  vaapivideomemory: Try surface with allocation flags.
	  When a vaapi allocator is instantiated, it first try to generate a
	  surface with the specified configuration.
	  This patch adds, in this tried buffer, the requested allocation flags.

2020-01-27 18:10:18 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideomemory.c:
	  vaapivideomemory: Store surface allocation flags.
	  Store surface allocation flags passed to the vaapi allocator in
	  GObject's qdata, because it might be used by the vaapivideobufferpool
	  when recreating the allocator given any resolution change.

2020-01-24 19:32:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	  libs: surface: Add hints to allocation flags.
	  When creating surfaces it is possible to pass to VA hints of its usage,
	  so the driver may do some optimizations.
	  This commit adds the handling of encoding/decoding hints.

2020-01-24 22:08:50 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	* gst-libs/gst/vaapi/gstvaapisurface_egl.c:
	* gst-libs/gst/vaapi/gstvaapisurfacepool.c:
	* gst-libs/gst/vaapi/gstvaapisurfacepool.h:
	* gst-libs/gst/vaapi/gstvaapiwindow.c:
	* tests/internal/test-filter.c:
	* tests/internal/test-surfaces.c:
	  libs: surface: surfacepool: Add allocation flags in constructors.

2020-02-22 16:06:13 +0800  He Junyan <junyan.he@hotmail.com>

	* meson.build:
	  build: let the build fail if none if X11, wayland or drm.
	  In fact, gst_vaapi_create_test_display only test x11, wayland and
	  drm, no glx and egl entries. So if none of them is enabled, no
	  vaapi element can be detected.

2020-02-21 00:58:47 +0800  He Junyan <junyan.he@hotmail.com>

	* tests/internal/test-display.c:
	  test: avoid unused warning for test-display
	  meson -Dwith_x11=yes -Dwith_wayland=no -Dwith_drm=no -Dwith_egl=no
	  -Dwith_glx=no buildir
	  generate unused warnings.

2020-02-21 00:50:47 +0800  He Junyan <junyan.he@hotmail.com>

	* meson.build:
	  build: fix meson build error when without x11.
	  meson -Dwith_x11=no build_dir
	  can not success build the project because the glx is still enabled.
	  We need to disable GLX when X11 is disabled.

2020-02-14 19:53:09 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: h265enc: Set max_transform_hierarchy_depth_{inter, intra} to 2
	  Intel HW has limitation on max_transform_hierarchy_depth_inter and
	  max_transform_hierarchy_depth_intra (see [1]). We can provide a quirk for
	  other HWs if other HWs may support other values
	  [1] https://01.org/sites/default/files/documentation/intel-gfx-prm-osrc-kbl-vol10-hevc.pdf

2020-02-21 07:37:50 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: do not compensate for crop/direction if no VPP
	  If we do not have functional VPP, then cropping and video
	  direction is non-functional and we should avoid calling
	  any of the gst_vaapi_filter* APIs.

2020-02-21 06:54:47 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: only set VPP colorimetry when VPP is available
	  If we don't have functional vpp then we should not call
	  gst_vaapi_filter_set_colorimetry.

2020-02-16 01:25:37 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	* gst/vaapi/gstvaapivideomemory.c:
	* gst/vaapi/gstvaapivideomemory.h:
	  videobufferpool: don't reset surface when created internally
	  The bug fixing, in commit 89f202ea, just considers the case when
	  surface's DMABuf is set through gst_buffer_pool_acquire_buffer(),
	  which is typically a decoder's behavior. But vaapipostproc doesn't
	  provide any surface when calling gst_buffer_pool_acquire_buffer(),
	  thus a surface is created when GstMemory is allocated.
	  If the surface proxy in buffer's meta is reset at
	  buffer_pool_reset_buffer(), that surface will be destroyed and it
	  won't be available anymore. But GstBuffers are cached in the buffer
	  pool and they are reused again, hence only those images are rendered
	  repeatedly.
	  Fixes: #232

2020-02-16 17:19:04 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst/vaapi/gstvaapi.c:
	  libs: blend: filter: handle finalize() if display isn't assigned
	  I've just discovered iHD driver in Skylake doesn't have VideoProc
	  entry point, hence, in this platform, when vaapioverlay is tried to be
	  registered, critical warnings are raised because blend doesn't have a
	  display assigned.
	  As it is possible to have drivers without EntryPointVideoProc it is
	  required to handle it gracefully. This patch does that: only tries to
	  register vaapioverlay if the testing display has VPP and finalize()
	  vmethods, in filter and blend, bail out if display is NULL.

2020-02-15 11:02:49 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: filter: guard all color properties to VA-API 1.2.0
	  Older VA-API (0.39.0) doesn't have VAProcColorProperties.
	  Thus, guard all colorimetry -> VA-API support to version
	  1.2.0.
	  Fixes #234

2020-02-17 08:55:36 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: h265: set parser info state at decoding codec data
	  Commit 1168d6d5 showed up a regression: decode_sps() stores the unit's
	  parser info in sps array. If that parser info comes from decoding
	  codec data, that parser info will have an undefined state which might
	  break ensure_sps().
	  This patch sets the parser info state, at decoding codec data, with
	  the internal parser state. This is similar with h264 decoder apprach.
	  Original-patch-by: Xu Guangxin <guangxin.xu@intel.com>

2020-02-07 15:24:18 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: demote log message to trace level

2020-02-14 14:45:56 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/video-format.c:
	  libs: video-format: set general vaapi log category
	  Instead of logging in an unspecified category, set the default vaapi.

2020-02-15 11:44:48 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: guard EncSliceLP for VA-API < 0.39.1
	  Relates to #234

2020-02-14 16:17:04 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: h265enc: Set VA_PICTURE_HEVC_INVALID flag for invalid picture

2020-02-11 11:31:31 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vc1.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: remove crumbs of libva < 0.39
	  All these guarded code seem like leftovers of commit 920b1ec7a. This
	  patch completes that missing clean up.

2020-02-11 00:38:40 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: VA explicit color standard not supported until 1.2.0
	  VAProcColorStandardExplicit and associated VAProcColorProperties
	  (primaries, transfer and matrix) are not supported until
	  VA-API 1.2.0.
	  Use VAProcColorStandardNone instead of VAProcColorStandardExplicit
	  if VA-API < 1.2.0.
	  Fixes #231

2020-02-10 09:31:15 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: WA: use explicit for sRGB colorimetry
	  Addresses #228 on iHD side.  It seems iHD can't handle
	  VAProcColorStandardSRGB in all situations for vpp.  But
	  it has no problem when we specify the sRGB parameters
	  via VAProcColorStandardExplicit parameters.

2020-02-07 11:25:31 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: set vpp input/output color range
	  We've always sent VA_SOURCE_RANGE_UNKNOWN to the driver.
	  And, the [iHD] driver essentially computes the same color
	  range as gstreamer when we send VA_SOURCE_RANGE_UNKNOWN for
	  cases were gstreamer computes it automatically.  But,
	  if the user wants to make it explicit, we should try
	  to honor it.

2020-02-07 11:20:11 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils.h:
	  libs: utils: map GstVideoColorRange to VAAPI VPP

2020-02-07 15:28:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: don't remove chroma-site nor colorimetry
	  Since now they can be handled by vaapipostproc.

2020-02-04 14:17:43 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: use sink resolution to calculate src colorimetry
	  The default output colorimetry is persuaded by the output
	  resolution, which is too naive when doing VPP cropping
	  and/or scaling.  For example, scaling 4K(sink)->1080P(src)
	  resolution (i.e. both YUV) results in bt2020(sink)->bt709(src)
	  colorimetry selection and some drivers don't support that
	  mode in vpp.
	  Thus, if output (i.e. downstream) does not specify a
	  colorimetry then we use the input resolution instead of the
	  output resolution to create the default colorimetry.  Also,
	  note that we still use the output format since it may be a
	  different color space than the input.  As in the example
	  above, this will result in bt2020(sink)->bt2020(src)
	  colorimetry selection and all drivers (afaik) should support
	  that in vpp.

2020-02-04 09:57:42 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: set srcpad colorimetry unconditionally
	  We always need a srcpad colorimetry for VAAPI VPP
	  operations.
	  Also, check the return value of _set_colorimetry.

2020-01-30 12:34:07 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: do not override explicit srcpad colorimetry
	  If colorimetry has been set by a capsfilter (e.g.
	  vaapipostproc ! video/x-raw,colorimetry=bt709) then
	  don't try to override it.  Previously, the aforementioned
	  capsfilter will fail to negotiate if default colorimetry
	  is not the same as the capsfilter (e.g. 4K resolutions).

2020-01-30 09:37:18 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: set vpp filter colorimetry
	  Set the input and output colorimetry for vpp filter.

2020-01-30 09:34:10 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	  libs: filter: support vpp input/output color standard
	  Add API function to allow setting the input and output vpp
	  color standard from GstVideoColorimetry.

2020-02-04 11:32:54 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils.h:
	  libs: utils: map GstVideoColorimetry to VAAPI VPP
	  Fallback to VAProcColorStandardExplicit if there is no
	  1:1 mapping.

2020-02-04 10:27:23 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	  libs: display: add vpp color standard quirk for i965 driver
	  The i965 does not properly report supported vpp color
	  standards.

2020-02-02 18:04:35 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: dmabuf implies allocator
	  Some code can be optimized since only if the dmabuf allocator is set,
	  the internal flag of dmabuf is TRUE, thus there's no need to evaluate
	  the allocator address.

2020-01-29 11:55:39 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: reject configuration if allocator isn't vaapi
	  If the requested allocator in set_config() is not a VAAPI valid one,
	  reject the configuration, instead of lying and using a private one.
	  This patch superseeds !254 and !24

2020-01-29 11:55:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: add explanation for allocator reconfig

2020-01-29 11:54:38 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: check for vaapi meta first
	  If the configured meta doesn't request vaapi meta then it is not a
	  vaapi buffer pool. Bail out as soon as possible.

2020-01-29 11:52:38 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: turn errors into warnings
	  set_config() vmethod should fail gracefully, thus upstream could
	  negotiate another pool if possible.
	  Instead of sending error messages to the bus, let demote the level
	  to warning.

2020-01-29 11:51:47 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	  libs: display: log out vendor string when available
	  This is useful while asking for logs to know the used driver.

2020-01-27 11:49:26 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: surface: initialize VASurfaceAttribExternalBuffers
	  Initialize VASurfaceAttribExternalBuffers using compiler's syntax
	  rather than using memset().

2020-01-27 11:44:49 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: surface: merge two loops into one
	  Merge two loops into one for setting offsets and strides in the
	  external buffer descriptor.

2020-01-22 10:42:35 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	* gst-libs/gst/vaapi/gstvaapisurfacepool.c:
	* gst-libs/gst/vaapi/gstvaapisurfacepool.h:
	  libs: surface: surfacepool: rename variable for clearity
	  In order to be readable, the meaningless 'flags' is renamed to
	  surface_allocation_flags, which is clearer.

2020-01-27 18:40:46 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: Reuse internal allocator is possible.
	  Instead of creating a new allocator when upstream requests a different
	  allocator, this patch tries to reuse the internal allocator if it was
	  already initializated.
	  If the stream changes, then either one will be unref and a new
	  allocator is created.

2020-01-27 18:05:14 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: Log messages in proper category.
	  The log messages where logged in the GstBufferPool category because
	  the instance was not properly casted. This fix that situation.

2020-01-16 11:49:21 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay.h:
	* gst-libs/gst/vaapi/gstvaapidisplay_priv.h:
	* gst/vaapi/gstvaapipluginbase.c:
	  libs: display: driver quirks mechanism
	  This mechanism comes from ffmpeg vaapi implementation, where they have
	  their own quirks.
	  A specific driver is identified by a substring present in the vendor
	  string. If that substring is found, a set of bitwise flags are store.
	  These flags can be accessed through the function
	  gst_vaapi_display_has_driver_quirks().
	  The purpose for this first quirks is to disable the put image try for
	  AMD Gallium driver (see [1]).
	  1. https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/merge_requests/72

2020-01-15 23:07:29 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipluginutil.c:
	  plugins: renable Mesa Gallium driver

2020-01-24 11:55:22 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: validate returned meta
	  Validate if the meta returned by gst_buffer_get_vaapi_video_meta() in
	  the acquired buffer is not null.
	  This situation should be very "pathological", but still it is better
	  be safe since that meta might be used later to create a new dma
	  buffer.

2020-01-22 18:50:36 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* gst/vaapi/gstvaapivideobufferpool.c:
	  vaapivideobufferpool: always update/release the underlying surface proxy
	  gst_vaapi_video_buffer_pool_reset_buffer() is called when the sink
	  releases the last reference on an exported DMA buffer. This should
	  release the underlying surface proxy. To avoid releasing the wrong
	  surface due to a stale surface proxy reference in the buffer's
	  GstVaapiVideoMeta, always update the reference to the correct surface
	  in gst_vaapi_video_buffer_pool_acquire_buffer().

2020-01-23 16:56:44 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	  libs: context: select vaCreateSurfaces version according attributes
	  This commit tries to centralize the selection of vaCreateSurfaces
	  version, instead of having fallbacks everywhere.
	  These fallbacks are hacks, added because new drivers use the latest
	  version of vaCreateSurfaces (with surface attributes) [1], meanwhile
	  old drivers (or profiles as JPEG decoder in i965) might rather use the
	  old version.
	  In order to select which method, there's detected hack: each config
	  context has a list of valid formats, in the case of JPEG decoder the
	  list only contains "rare" 4:2:2 formats (ICM3, GRAY8) which aren't
	  handled correctly by the current gstreamer-vaapi code [2].
	  The hack consist in identify if the format list contains an arbitrary
	  preferred format (which is suposedly well supported by
	  gstreamer-vaapi, mostly NV12). If no prefered colour format is found,
	  the the old version of vaCreateSurfaces is used, and the surfaces wil
	  be mapped into a image with their own color format.
	  1. https://bugzilla.gnome.org/show_bug.cgi?id=797143
	  2. https://bugzilla.gnome.org/show_bug.cgi?id=797222

2020-01-21 19:35:02 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	  libs: context: add debug category for context

2020-01-22 20:20:30 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	  libs: blend: guard VA_BLEND_GLOBAL_ALPHA

2020-01-21 14:09:33 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapiencode: promote info to warning
	  Let's notify user about using constrained-baseline instead on
	  requested basline profile.

2019-06-28 15:41:16 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h264.h:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapidecode_props.c:
	* gst/vaapi/gstvaapidecode_props.h:
	  vaapih264dec: Add a property to assume constrained-baseline
	  When baseline-as-constrained is set, the decoder will expose support
	  for baseline decoding and assume that the baseline content is
	  constrained-baseline. This can be handy to decode streams in hardware
	  that would otherwise not be possible to decode. A lot of baseline
	  content is in fact constrained.

2020-01-17 16:19:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapipluginutil.c:
	  vaapih264enc: accept baseline as constrained baseline compatible

2020-01-17 14:24:37 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapih264enc: update level in src caps
	  And, if downstream requests a specific level, the caps are not
	  negotiated, because there is no mechanism right now to specify a
	  custom level in the internal encoder.

2020-01-17 17:12:53 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	  libs: encoder: h264: document gst_vaapi_encoder_h264_supports_avc()

2020-01-17 13:38:29 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapih264enc: force byte-stream if avc isn't supported
	  Removing the validation in gst_vaapiencode_h264_get_caps() since that
	  ought be handled in gst_vaapiencode_h264_set_config()

2020-01-08 17:37:22 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaaph264enc: suppress avc if the driver does not support packed headers
	  Do not negotiate AVC output if the driver does not support it.

2020-01-08 17:16:35 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	  libs: encoder: h264: Add gst_vaapi_encoder_h264_supports_avc()
	  AVC output requires packed header support in the driver.

2020-01-17 13:07:04 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapih264enc: intersect the new proposed caps
	  Instead of just leave to keep the proposed caps, with the best profile
	  in the allowed caps, is its intersected again.

2020-01-17 12:58:58 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapih264enc: propose new profile caps and fixate it
	  When the available caps doesn't intersect with the allowed caps in the
	  pipeline, a new caps is proposed rather than just expecting to
	  iterate.
	  Later, the intersected caps (profile_caps) is fixated in order to
	  extract the configuration.

2020-01-17 13:18:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapih264enc: common fail for gst_vaapiencode_h264_set_config()
	  Add a common fail code path for gst_vaapiencode_h264_set_config().

2020-01-17 12:54:21 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: unref formats array if none
	  The formats array is always created, in order to keep the logic and
	  to avoid broken caps, if this formats array doesn't contain any
	  elements, it has to be unref and the function should return NULL.

2020-01-17 14:22:48 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	  vaapih264enc: fix log message
	  Before the log wasn't processed because wrong instance pointer.

2019-06-22 00:44:25 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	  plugin: encode: Add H265 main-444 profile.
	  Expose the main-444 profile to h265enc caps, when the upstream
	  chooses to use VUYA as input, we choose main 4:4:4 profile to encode
	  the frames.

2020-01-15 19:36:00 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Consider main-444 profile when encoding.
	  Add support of main-444 profile for parameter setting and packed header
	  generation.

2020-01-15 23:04:08 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.c:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.h:
	* gst/vaapi/gstvaapiencode.c:
	  vaapiencode: DMABuf only if PRIME is available
	  Add DMABuf capsfeature in encoders' allowed sinkcaps only if PRIME
	  memory type is available in the VA surface attributes of codec
	  context.

2020-01-16 09:14:30 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* hooks/pre-commit.hook:
	  Add hooks/pre-commit.hook
	  meson.build in gstreamer-vaapi requires hooks/pre-commit.hook
	  Copied and pasted pre-commit.hook from other gstreamer modules to make
	  sure gstreamer-vaapi follows the same code style

2019-12-26 16:45:51 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: Set encoder paramters base on entrypoint.
	  When the tune is NONE, we now can choose entrypoint freely. So the
	  GST_VAAPI_ENCODER_TUNE macro may not return the correct current
	  entrypoint.
	  We also delay CTU size calculation after entrypoint has been decided.

2019-12-28 19:18:12 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicodedbufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapicodedbufferproxy.h:
	* gst-libs/gst/vaapi/gstvaapicodedbufferproxy_priv.h:
	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_objects.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_objects.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	* gst-libs/gst/vaapi/gstvaapifei_objects.c:
	* gst-libs/gst/vaapi/gstvaapifei_objects.h:
	* gst-libs/gst/vaapi/gstvaapifei_objects_priv.h:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.h:
	* gst-libs/gst/vaapi/gstvaapifeipak_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeipak_h264.h:
	* gst-libs/gst/vaapi/gstvaapifeiutils_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeiutils_h264.h:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* gst-libs/gst/vaapi/gstvaapisurfaceproxy.c:
	* gst-libs/gst/vaapi/gstvaapisurfaceproxy.h:
	* gst-libs/gst/vaapi/gstvaapisurfaceproxy_priv.h:
	* gst-libs/gst/vaapi/meson.build:
	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode.h:
	* gst/vaapi/gstvaapiencode_h264_fei.c:
	* gst/vaapi/gstvaapiencode_h264_fei.h:
	* gst/vaapi/gstvaapifeivideometa.c:
	* gst/vaapi/gstvaapifeivideometa.h:
	* gst/vaapi/meson.build:
	* meson.build:
	* tests/internal/meson.build:
	* tests/internal/test-fei-enc-in.c:
	* tests/internal/test-fei-enc-out.c:
	  Remove all FEI related
	  FEI encoders are not actively mantained neither tested, and it is
	  using infrastructure that is changing and FEI is stopping this
	  effort.
	  Also it is required to rethink how FEI can be used in GStreamer.

2020-01-14 11:17:49 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapioverlay.c:
	  vaapioverlay: ensure sinkpad has current buffer
	  Use the gst_video_aggregator_pad_has_current_buffer API
	  to check if the current sinkpad has a queued buffer before
	  attempting to obtain a input buffer from the base plugin.
	  If the sinkpad does not have a current buffer, then it is
	  either not producing them yet (e.g. current time < sinkpad
	  start time) or it has reached EOS.
	  Previously, we only handled EOS case.
	  Example:
	  gst-launch-1.0 videotestsrc num-buffers=100 \
	  ! vaapipostproc ! vaapioverlay name=overlay \
	  ! vaapisink videotestsrc timestamp-offset=1000000000 \
	  num-buffers=100 ! video/x-raw,width=160,height=120 \
	  ! overlay.

2020-01-14 18:57:31 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapioverlay.c:
	  vaapioverlay: unroll the recursive call
	  Recursive functions are elegant but dangerous since they might
	  overflow the stack. It is better to turn them into a list tranversal
	  if possible, as this case.

2020-01-14 18:46:49 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	* gst/vaapi/gstvaapioverlay.c:
	  vaapioverlay: add minimal documentation

2020-01-14 18:25:11 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	* gst-libs/gst/vaapi/gstvaapiblend.h:
	* gst/vaapi/gstvaapioverlay.c:
	  libs: blend: simplify generator API
	  Instead of using a parent structure that has to be derived by API
	  consumers, this change propse a simplification by using the common
	  pattern of GTK of passing a function pointer and user data which will
	  be passed as its parameter. That user data contains the state and the
	  function will be called to update that state.

2020-01-10 10:14:38 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	* gst-libs/gst/vaapi/gstvaapiblend.h:
	  libs: blend: remove begin/render/end API
	  This API was risky and is superseded by the surface
	  generator (process) API.
	  Resolves #219

2020-01-10 10:12:36 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapioverlay.c:
	  vaapioverlay: use blend surface generator API
	  See #219

2020-01-10 09:54:30 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	* gst-libs/gst/vaapi/gstvaapiblend.h:
	  libs: blend: add surface generator API
	  This new API allows the user to call a single method (process)
	  which handles the [display] lock/unlock logic internally for
	  them.
	  This API supersedes the risky begin, render, end API.
	  It eliminates the need for the user to call a lock method
	  (process_begin) before processing the input buffers
	  (process_render) and calling an unlock method (process_end)
	  afterwards.
	  See #219

2019-12-23 14:29:08 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode.h:
	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	  plugin: encode: List all possible profiles to detect input formats.
	  The current get_profile just return one possible profile for the encode,
	  which is not enough.  For example, if we want to support HEVC 4:4:4
	  profile, the input of encode should be VYUA rather than NV12 in HEVC
	  main profile. So the command line:
	  gst-launch-1.0 videotestsrc num-buffers=200 ! capsfilter \
	  caps=video/x-raw,format=VUYA,width=800,height=600 ! vaapih265enc \
	  tune=low-power init-qp=30 ! fakesink
	  can not work because vaapih265enc just report NV12 in sink caps, we need
	  to specify the profile obviously like:
	  gst-launch-1.0 videotestsrc num-buffers=200 ! capsfilter \
	  caps=video/x-raw,format=VUYA,width=800,height=600 ! vaapih265enc \
	  tune=low-power init-qp=30 ! capsfilter caps=video/x-h265, \
	  profile=main-444 ! fakesink
	  The encode should have the ability to choose the profile based on input
	  format automatically. If the input video format is VUYA, the main-444
	  profile should be auto choosed.
	  We modify to let get_allowed_profiles of each encode sub class to return
	  an array of all supported profiles based on downstream's allowed caps, or
	  return NULL if no valid profiles specified by downstream.
	  If no allowed profiles found, all profiles which belong to the current
	  encoder's codec will be the candidates.
	  The function gst_vaapi_encoder_get_surface_attributes collects the surface's
	  attributes for that profile list we just get.
	  So for this case, both NV12 and VUYA should be returned.
	  TODO: some codec like VP9, need to implement the get_profile() function.

2020-01-08 15:07:36 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapipluginutil.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  plugin: util: add helper function to detect profiles in caps.

2020-01-08 15:04:18 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	  libs: encoder: add a helper function to get all supported profiles

2020-01-13 15:34:54 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	  libs: decoder: Don't unref null object
	  ** (gst-launch-1.0:9789): CRITICAL **: 15:29:09.330:
	  gst_vaapi_context_unref: assertion 'context != NULL' failed

2020-01-10 09:26:44 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapioverlay.c:
	  plugins: overlay: use proper NULL check on double pointer
	  Check the address of the variable is not NULL,
	  not the address of the pointer.

2020-01-08 23:42:21 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapicodedbuffer_priv.h:
	  libs: codedbuf: delete a useless field.
	  The context field in GstVaapiCodedBuffer is not inited correctly
	  and is never used, just delete it.

2019-12-29 17:57:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipluginutil.c:
	  plugins: add iHD driver in whitelist

2020-01-02 21:02:40 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: modify 265 SPS header's profile compatibility flag.
	  Make the SPS profile compatibility flags more precisely conform to
	  the HEVC Spec.

2020-01-06 19:39:06 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/elements/vaapioverlay.c:
	  test: vaapioverlay: bail test if not available
	  vaapioverlay is only registered if the VA driver support the blend
	  operation.
	  This patch only executes the test if vaapioverlay is available,
	  otherwise the test is bail out without raising an error.

2020-01-06 14:53:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/elements/vaapioverlay.c:
	  tests: vaapioverlay: force drm backend

2019-12-22 17:32:19 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	  libs: blend: update to new mini-object API

2019-11-19 13:48:22 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* tests/check/elements/vaapioverlay.c:
	* tests/check/meson.build:
	  tests: check: add basic vaapioverlay test
	  Add test_overlay_position test to verify sink_1 input
	  is overlayed onto sink_0 input at the appropriate
	  position.

2019-11-14 12:03:57 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapi.c:
	* gst/vaapi/gstvaapioverlay.c:
	* gst/vaapi/gstvaapioverlay.h:
	* gst/vaapi/meson.build:
	  plugins: add vaapioverlay plugin
	  A plugin similar to the base compositor element but
	  uses VA-API VPP blend functions to accelerate the
	  overlay/compositing.
	  Simple example:
	  gst-launch-1.0 -vf videotestsrc ! vaapipostproc \
	  ! tee name=testsrc ! queue \
	  ! vaapioverlay sink_1::xpos=300 sink_1::alpha=0.75 \
	  name=overlay ! vaapisink testsrc. ! queue ! overlay.

2019-11-14 12:02:19 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiblend.c:
	* gst-libs/gst/vaapi/gstvaapiblend.h:
	* gst-libs/gst/vaapi/meson.build:
	  libs: add a vaapi blend class
	  Support for the VA-API VPP blend functions.

2019-11-14 11:54:59 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapipluginbase.h:
	  plugins: base: add GstVideoAggregator subclass support

2020-01-05 19:32:16 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	  libs: image: init all image fields correctly.

2020-01-06 17:41:53 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/vaapi/gstvaapipostproc.c:
	  doc: fix pipeline typo in vaapipostproc

2020-01-02 21:11:44 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: modify 265 VPS header fields.
	  vps_base_layer_internal_flag and vps_base_layer_available_flag
	  have been clearly defined now.

2020-01-01 19:54:13 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidisplay_x11.c:
	  libs: display: fix a resource leak in X11 pixmap format.

2020-01-02 18:00:21 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiprofilecaps.c:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.h:
	  libs: utils: delete useless gst_vaapi_profile_caps_append_encoder.

2019-12-30 14:09:17 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst/vaapi/gstvaapiencode.c:
	  libs: encoder: get surfaces resolution the same time with formats.
	  We can get all the information about the video format at one shot
	  when we create the test context for getting the supported formats.
	  The current way to get the width and height ranges are inefficient,
	  since it calls the function gst_vaapi_profile_caps_append_encoder()
	  and it creates another temporal context to detect the resolution
	  information.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-12-28 17:42:55 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: vp9: fix code style

2019-12-16 23:19:46 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: set entrypoint based on tune automatically
	  Some profile, such as H265_MAIN_444 on new Intel platform, may only
	  support ENTRYPOINT_SLICE_ENCODE_LP entrypoint. This leads two
	  problems:
	  1. We need to specify the tune mode like `vaapih265enc tune=low-power`
	  every time when we need to use this kind of profile. Or we can not
	  create the encoder context successfully.
	  2. More seriously, we set the entrypoint to a fixed value in
	  init_context_info() and so the create_test_context_config() can not
	  create the test context for these profile and can not get the
	  supported video formats, either.
	  We now change the entrypoint setting based on the tune option of the
	  encoder. If no tune property provided, we just choose the first
	  available entrypoint.

2019-12-16 23:19:46 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: set context info profile by encoder
	  Instead of init_context_info() setting the passed profile, it is
	  assumed that it has to be set by each encoder.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-12-27 18:49:02 +0100  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	  libs: context: add invalid entrypoint symbol
	  The symbol GST_VAAPI_ENTRYPOINT_INVALID is just a representation of
	  zero, which was already used as an invalid value tacitly. This patch
	  only makes it explicit.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-12-29 01:13:29 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapipixmap_x11.c:
	  libs: pixmap: Fix a pixmap creation crash.
	  We use GST_VAAPI_OBJECT_NATIVE_DISPLAY with wrong parameter for x11
	  pixmap creation, which causes crash if we run the internal test case
	  of:
	  test-decode --pixmap

2019-12-22 14:35:18 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	  plugin: encode: set allowed_sinkpad_caps to empty.
	  We now set encode->allowed_sinkpad_caps to NULL if we fail to get
	  surfaces formats. This causes two problem:
	  1. gst_video_encoder_proxy_getcaps use NULL as its caps parameter,
	  which changes its behavior. It will use encode's sinkpad template
	  rather than empty caps to do the clip job. So even if we fail to set
	  allowed_sinkpad_caps, gst_video_encoder_proxy_getcaps can still return
	  valid caps.
	  2. We should just set the allowed_sinkpad_caps once. The NULL point
	  make the ensure_allowed_sinkpad_caps function works again and again.

2019-12-22 15:22:57 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: Add NULL pointer check for context when finalize.
	  Context may be NULL if pipeline fail in early stage, and the
	  ensure_context will not be called. Need to add a pointer protection
	  for it.

2019-12-20 06:38:42 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipluginbase.c:
	  plugins: base: do not reset can_dmabuf
	  Don't reset the can_dmabuf field.  This restores the
	  close/reset logic that existed prior to commit
	  ca2942176b5632e07eebac23336954f9aaf1cb26 in regards to
	  dmabuf support.
	  Plugins only call gst_vaapi_plugin_base_set_srcpad_can_dmabuf
	  once during startup, but may need to reset the other private
	  fields multiple times during negotiation.  Thus, can_dmabuf
	  should be exempt from the resets.
	  Fixes #208

2019-12-06 00:21:12 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	  plugin: encode: Refine encode's sink caps.
	  The old manner to get the encode's sink caps is not correct.
	  Such as 264 encode, it gets:
	  video/x-raw(memory:VASurface),
	  format=(string){ ENCODED, NV12, I420, YV12, YUY2, UYVY, Y210,
	  P010_10LE, AYUV, Y410, Y444 }, width=(int)[ 32, 4096 ],
	  height=(int)[ 32, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ];
	  video/x-raw(memory:DMABuf), format=(string){ I420, YV12, RGBA },
	  width=(int)[ 32, 4096 ], height=(int)[ 32, 4096 ],
	  framerate=(fraction)[ 0/1, 2147483647/1 ];
	  video/x-raw, format=(string){ NV12 }, width=(int)[ 32, 4096 ],
	  height=(int)[ 32, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
	  where the formats for memory:VASurface and memory:DMABuf are superfluous.
	  All the "I420, YV12, YUY2, UYVY, Y210, RGBA" can not be really used as
	  input format for encoder.
	  We should get:
	  video/x-raw, format=(string){ NV12 }, width=(int)[ 32, 4096 ],
	  height=(int)[ 32, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ];
	  video/x-raw(memory:VASurface), format=(string){ NV12 },
	  width=(int)[ 32, 4096 ], height=(int)[ 32, 4096 ],
	  framerate=(fraction)[ 0/1, 2147483647/1 ]; video/x-raw(memory:DMABuf),
	  format=(string){ NV12 }, width=(int)[ 32, 4096 ],
	  height=(int)[ 32, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
	  as the correct result.

2019-12-20 08:37:11 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	  libs: display: code clean up

2019-12-12 21:34:21 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/gstvaapidisplay_priv.h:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	  libs: display: refine the profile/entrypoint map.
	  The old way make the one config for each profile/entrypoint pair,
	  which is not very convenient for description the relationship
	  between them. One profile may contain more than one entrypoints
	  to within it, so a set like data structure should be more suitable.

2019-12-19 14:19:10 +0100  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapibufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapibufferproxy_priv.h:
	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_objects.c:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapipixmap_x11.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	* gst-libs/gst/vaapi/gstvaapisurface_drm.c:
	* gst-libs/gst/vaapi/gstvaapisurface_egl.c:
	* gst-libs/gst/vaapi/gstvaapisurface_priv.h:
	* gst-libs/gst/vaapi/gstvaapisurfaceproxy.c:
	* gst-libs/gst/vaapi/gstvaapisurfaceproxy_priv.h:
	* gst-libs/gst/vaapi/gstvaapitexture_egl.c:
	* gst-libs/gst/vaapi/gstvaapitexture_glx.c:
	* gst-libs/gst/vaapi/gstvaapivideopool.c:
	* gst-libs/gst/vaapi/gstvaapiwindow.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11.c:
	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapivideomemory.c:
	* gst/vaapi/gstvaapivideometa.c:
	* gst/vaapi/gstvaapivideometa_texture.c:
	* tests/internal/image.c:
	* tests/internal/test-filter.c:
	* tests/internal/test-surfaces.c:
	* tests/internal/test-windows.c:
	  libs: surface: port to GstMiniObject
	  GstVaapiMiniObject and GstVaapiObject are deprecated.
	  This is the first step to remove them by porting GstVaapiSurface as
	  a GstMiniBuffer descendant.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-12-19 18:26:10 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: surface: rename create function names to init
	  There are several internal functions with 'create' name, but they
	  don't create any new structure, but rather it initializes that
	  structure. Renaming those function to reflect better their purpose.

2019-12-19 14:17:34 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: surface: use macro accessors

2019-12-19 13:46:09 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface_priv.h:
	  libs: surface: fix internal documentation

2019-12-18 18:00:49 +0100  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapicodedbuffer.c:
	* gst-libs/gst/vaapi/gstvaapicodedbuffer.h:
	* gst-libs/gst/vaapi/gstvaapicodedbuffer_priv.h:
	* gst-libs/gst/vaapi/gstvaapicodedbufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeipak_h264.c:
	* gst-libs/gst/vaapi/gstvaapivideopool.c:
	  libs: codedbuffer: port to GstMiniObject
	  GstVaapiMiniObject and GstVaapiObject are deprecated.
	  This is the first step to remove them by porting GstVaapiCodedBuffer
	  as a GstMiniBuffer descendant.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-12-18 12:57:01 +0100  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/gstvaapiimage.h:
	* gst-libs/gst/vaapi/gstvaapiimage_priv.h:
	* gst-libs/gst/vaapi/gstvaapisubpicture.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface_drm.c:
	* gst-libs/gst/vaapi/gstvaapivideopool.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11.c:
	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapivideomemory.c:
	* gst/vaapi/gstvaapivideometa.c:
	* tests/internal/image.c:
	* tests/internal/simple-encoder.c:
	* tests/internal/test-fei-enc-in.c:
	* tests/internal/test-filter.c:
	* tests/internal/test-windows.c:
	  libs: image: port to GstMiniObject base class
	  GstVaapiMiniObject and GstVaapiObject are deprecrated. This is the
	  first step to remove them, by porting GstVaapiImage as a
	  GstMiniObject.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-09-24 01:01:22 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapicodedbuffer.c:
	* gst-libs/gst/vaapi/gstvaapicodedbufferpool.c:
	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.c:
	  libs: context: port to a plain C structure
	  The GstVaapiMiniObject is obsolete and we need to replace it. This
	  patch turns GstVaapiContext into a plain C structure with its own
	  reference counting mechanism.
	  Also this patch removes unused overlays attributes.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-12-18 00:40:58 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h264_fei.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: change the dmabuf caps to all supported formats.
	  The encode's dmabuf caps definition is obsolete, it can support
	  more formats now. Re-define it to include all supported formats
	  in video format map.

2019-12-17 17:09:37 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	  libs: encoder: h264fei: remove unnecessary check
	  Issue detected by Coverity
	  `info_to_pack.h264_slice_header` is always allocated by
	  gst_vaapi_feipak_h264_encode(), thus checking it to free it afterwards
	  in doesn't make much sense.  But it requires to be free on the error
	  path.
	  There may be a null pointer dereference, or else the comparison
	  against null is unnecessary.
	  In gst_vaapi_encoder_h264_fei_encode: All paths that lead to this null
	  pointer comparison already dereference the pointer earlier

2019-12-17 17:05:22 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	  libs: encoder: h264fei: remove unnecessary assert
	  Issue detected by Coverity
	  An unsigned value can never be negative, so this test will always
	  evaluate the same way.
	  In add_slice_headers: An unsigned value can never be less than 0

2019-12-17 16:57:41 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	  libs: encoder: h264fei: remove unnecessary check
	  Issue detected by Coverity
	  There may be a null pointer dereference, or else the comparison
	  against null is unnecessary.
	  In gst_vaapi_encoder_h264_fei_encode: All paths that lead to this null
	  pointer comparison already dereference the pointer earlier

2019-12-17 16:49:47 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	  libs: encoder: h264fei: don't free memory on stack
	  Issue detected by Coverity
	  `info_to_pak` variable in gst_vaapi_encoder_h264_fei_encode() is
	  declared in the stack, but it is free in
	  gst_vaapi_feienc_h264_encode() as if declared on the heap.
	  This patch initializes the structure and removes the free.
	  A non-heap pointer is placed on the free list, likely causing a crash
	  later.
	  In gst_vaapi_encoder_h264_fei_encode: Free of an address-of
	  expression, which can never be heap allocated.

2019-12-17 13:22:12 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	  libs: encoder: h264fei: fix surface leak
	  Issue detected by Coverity
	  If the FEI mode is not handled the created resources should be
	  released and return and error code.
	  The system resource will not be reclaimed and reused, reducing the
	  future availability of the resource.
	  In gst_vaapi_encoder_h264_fei_encode: Leak of memory or pointers to
	  system resources

2019-12-17 13:09:58 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/elements/vaapipostproc.c:
	  tests: check return calling of gst_navigation_event_parse.*
	  This issue was detected by Coverity.
	  If the function returns an error value, the error value may be mistaken
	  for a normal value.
	  In cb_mouse_event: Value returned from a function is not checked for
	  errors before being used

2019-12-16 16:25:02 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h264_fei.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp9.c:
	  plugin: encode: set sink's raw caps to GST_VAAPI_FORMATS_ALL.
	  Then encode plugin just supports raw formats declared in vaapi video
	  format map. This modification makes the template caps more precise.

2019-11-14 11:13:51 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipluginbase.c:
	  plugins: base: add GstPad param to internal helper functions
	  The base plugin public API function implementations determine
	  which pad should be passed to the internal helper functions.
	  Currently, only the base plugin static sinkpad and static
	  srcpad are supported/used.  However, this change enables future
	  API functions to be added that can accept a pad (i.e. request pad)
	  from an element subclass (e.g. a GstVideoAggregator subclass).

2019-11-12 12:21:52 -0800  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipluginbase.c:
	* gst/vaapi/gstvaapipluginbase.h:
	  plugins: base: manage pad-specific data in a single struct
	  Define a struct (GstVaapiPadPrivate) to encapsulate the
	  pad-specific data (i.e. buffer pool, allocator, info,
	  caps, etc.).
	  Add an interface to retrieve the data struct for a given
	  pad.
	  Finally, update the base plugin to use the data struct
	  throughout the implementation.
	  This will enable us to easily extend the base plugin in the
	  future to allow for N-to-1 pad subclasses (e.g. overlay/
	  composite).

2019-10-29 15:13:44 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapipluginbase.h:
	* gst/vaapi/gstvaapipostproc.c:
	  plugins: use plugin base macros to access pad specific data
	  Don't access base struct fields directly since the underlying
	  definition can change.  Instead, use the accessor macros.

2019-12-03 00:52:45 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapidecode.c:
	  libs: decoder: Modify decode src's template raw formats
	  We do not need to maintain a standalone list of decoder's output
	  template for raw formats and that is easy to make mistake(for
	  example, the AYVU is wrong in that list, should be VUYA).
	  Just use GST_VAAPI_FORMATS_ALL to replace the raw formats list for
	  src template.

2019-12-11 14:11:13 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapipostproc.c:
	  libs: postproc: Modify src/sink template raw formats
	  We need to provide more precise template caps for postproc's src
	  and sink pads. The GST_VIDEO_FORMATS_ALL make all video formats
	  available which are really superfluous.

2019-12-10 18:40:42 -0300  Thibault Saunier <tsaunier@igalia.com>

	* tests/check/elements/vaapipostproc.c:
	  Do not mix declaration and code

2019-11-03 17:59:01 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: h265: skip all pictures prior the first I-frame
	  Don't try to decode until the first I-frame is received within the
	  currently active sequence. i965 H265 decoder don't show any artifact
	  but it crashes.
	  Fixes: #98

2019-11-27 01:44:05 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/video-format.c:
	  libs: video-format: remove dead code

2019-10-31 00:59:34 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/video-format.c:
	* gst-libs/gst/vaapi/video-format.h:
	* gst/vaapi/gstvaapipluginutil.h:
	  libs: video-format: add GST_VAAPI_FORMATS_ALL
	  GST_VAAPI_FORMATS_ALL collects all declared formats in video-format
	  as a caps template string, and make them available in caps with
	  memory:VASurface feature.
	  Fixes: #199

2019-11-06 22:37:12 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/video-format.c:
	* tests/internal/test-windows.c:
	  libs: video-format: change GST_VIDEO_FORMAT_AYUV to VUYA.
	  We only support VUYA format in gst vaapi now, need to correct
	  the mapping.

2019-10-09 15:13:09 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* tests/check/elements/vaapipostproc.c:
	  tests: check: vaapipostproc test_orientation_mouse_events
	  Test that vaapipostproc properly translates mouse events
	  when using video-direction (orientation).

2019-10-09 10:11:54 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* tests/check/elements/vaapipostproc.c:
	* tests/check/meson.build:
	  tests: check: vaapipostproc test_crop_mouse_events
	  Test that vaapipostproc properly translates mouse events
	  when cropping.

2019-10-08 12:20:26 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* meson.build:
	* meson_options.txt:
	* tests/check/elements/vaapipostproc.c:
	* tests/check/meson.build:
	* tests/meson.build:
	  tests: check: initial unit test support
	  Add minimal unit test toolchain files and a simple
	  vaapipostproc unit test.

2019-10-08 12:19:06 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* meson.build:
	* tests/examples/meson.build:
	* tests/examples/test-roi.c:
	* tests/examples/test-vaapicontext.c:
	* tests/examples/test-vaapipostproc.c:
	* tests/examples/test-vaapisink.c:
	* tests/internal/codec.c:
	* tests/internal/codec.h:
	* tests/internal/decoder.c:
	* tests/internal/decoder.h:
	* tests/internal/image.c:
	* tests/internal/image.h:
	* tests/internal/meson.build:
	* tests/internal/output.c:
	* tests/internal/output.h:
	* tests/internal/simple-decoder.c:
	* tests/internal/simple-encoder.c:
	* tests/internal/test-decode.c:
	* tests/internal/test-decode.h:
	* tests/internal/test-display.c:
	* tests/internal/test-fei-enc-in.c:
	* tests/internal/test-fei-enc-out.c:
	* tests/internal/test-filter.c:
	* tests/internal/test-h264.c:
	* tests/internal/test-h264.h:
	* tests/internal/test-jpeg.c:
	* tests/internal/test-jpeg.h:
	* tests/internal/test-mpeg2.c:
	* tests/internal/test-mpeg2.h:
	* tests/internal/test-mpeg4.c:
	* tests/internal/test-mpeg4.h:
	* tests/internal/test-subpicture-data.c:
	* tests/internal/test-subpicture-data.h:
	* tests/internal/test-subpicture.c:
	* tests/internal/test-surfaces.c:
	* tests/internal/test-textures.c:
	* tests/internal/test-vc1.c:
	* tests/internal/test-vc1.h:
	* tests/internal/test-windows.c:
	* tests/internal/y4mreader.c:
	* tests/internal/y4mreader.h:
	* tests/meson.build:
	  tests: move examples and tests to subfolders
	  This makes way for adding unit (check) tests.

2019-10-14 01:01:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitmodules:
	* Makefile.am:
	* autogen.sh:
	* common:
	* configure.ac:
	* git.mk:
	* gst-libs/Makefile.am:
	* gst-libs/gst/Makefile.am:
	* gst-libs/gst/vaapi/Makefile.am:
	* gst/Makefile.am:
	* gst/vaapi/Makefile.am:
	* m4/Makefile.am:
	* tests/Makefile.am:
	* tests/elements/Makefile.am:
	  Remove autotools build

2019-10-10 15:26:36 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: fix off-by-one coord translations
	  When translating navigation x,y coordinates for
	  video-direction, it is necessary to subtract 1
	  when using the video dimensions to compute the
	  new x,y coordinates.  That is, a 100x200 image
	  should map coordinates in x=[0-99],y=[0-199].
	  This issue was found with unit tests provided
	  in !182.

2019-10-11 17:34:06 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiwindow_x11.c:
	  libs: window: x11: Avoid usage of deprecated API

2019-10-11 17:13:34 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* meson.build:
	  build: halt meson configuration if no renderer API
	  We should halt meson configuration if there is no render API
	  installed (either DRM, Wayland or X11).
	  That behavior was already in autotools but missed in meson. This patch
	  brings it back.
	  Fixes: #196

2019-10-09 12:12:18 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: fix default orientation regression
	  Fix regression introduced in f232f87f7082

2019-10-07 11:53:23 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: use OP_DATA_DEFAULT_VALUE macro

2019-10-07 11:39:19 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: use macro for returning op default value
	  The code is essentially the same for getting all op default
	  values.  Thus, use a macro to help minimize code duplication
	  and [hopefully] encourage using the same mechanism for all
	  default getters.

2019-10-07 09:56:37 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: query param spec for default scale method
	  Related: #159

2019-10-07 09:44:06 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: query param spec for default skin-tone values
	  Related: #159

2019-10-02 12:54:52 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: query param spec for default video-direction
	  Related: #159

2019-10-07 10:23:09 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* .gitignore:
	  add .gitignore

2019-09-05 16:40:52 +0800  Yan Wang <yan.wang@linux.intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostproc.h:
	  vaapipostproc: Use level value for skin-tone-enhancement filter.
	  Currently the parameter of skin-tone-enhancement filter is forced
	  to zero. In fact it could be set different value by the user.
	  So create a new property named as "skin-tone-enhancement-level"
	  for accepting the used defined parameter value.
	  At the same time, skin-tone-enhancement is marked as deprecated.
	  When skin-tone-enhancement-level is set, skin-tone-enhancement
	  will be ignored.

2019-09-21 13:39:42 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: decoder: h264, h266: fix g_return_val_if_fail() missuse
	  g_return_val_fail() documentations says:
	  If expr evaluates to FALSE, the current function should be
	  considered to have undefined behaviour (a programmer error).
	  The only correct solution to such an error is to change the
	  module that is calling the current function, so that it avoids
	  this incorrect call.
	  So it was missused in a couple parts of the H264 and H265 internal
	  decoders. This patch changes that to plain conditionals.
	  Also, it was included a couple code-style fixes.

2019-09-23 19:52:20 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* tests/simple-encoder.c:
	* tests/test-fei-enc-in.c:
	  libs: encoder: remove gst_vaapi_encoder_{ref,unref}()
	  Since GstVaapiEncoder is a descendant of of GstObject, there is no
	  need to keep a custom ref()/unref() methods. This patch deletes them.

2019-09-24 01:03:02 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: correct encoder's ref/unref function.
	  GstVaapiEncoder now is a standard gstobject and need to use
	  gst_object_ref/unref functions.

2019-09-19 12:09:20 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapiencode_h264_fei.c:
	  gst: encode: h264_fei: remove useless comparison
	  The expression "len >= 0" is always true since "len"
	  is an unsigned type.  And it is clear that the writers
	  intention was not to write "len > 0" since we handle
	  len == 0 in the ensuing "if (len < 3)" conditional
	  block.

2019-09-19 11:17:24 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	  libs: encoder: h264_fei: fix potential overflow before widen
	  Found by static analysis. encoder->mb_width * encoder->mb_height
	  is evaluated using 32-bit arithmetic before widen.  Thus, cast
	  at least one of these to guint64 to avoid overflow.

2019-09-19 10:56:13 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	  libs: encoder: h264_fei: remove dead error condition
	  Found by static analysis.  The feipak is always null
	  when we reach the error target.

2019-09-19 10:49:11 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: add missing break in switch

2019-09-11 11:56:35 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/video-format.c:
	  libs: video-format: Make all YUV format available
	  The YUV formats have no ambiguity for drivers, so we can add them all.
	  Some old driver(i965) does not implement full get/put image functions
	  but can use derive image funtions for the YUV format. It does not
	  report that kind of formats correctly in image query, but will derive
	  that YUV format image from surface. The dynamic mapping of YUV format
	  will block that manner.
	  Adding more YUV format mapping has no side effect. So considering the
	  legacy driver conformance, we add all YUV formats mapping statically
	  and dynamic mapping RBG formats
	  Fix: #189
	  Fix: #190

2019-09-18 15:30:03 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/vaapi/gstvaapiutils_egl.c:
	* gst-libs/gst/vaapi/gstvaapiutils_egl.h:
	  egl: Fix racyness in display thread creation
	  Multiple different scenarios could break the display thread creation and
	  end up blocking waiting for thread o be created.  Fix them all by
	  correctly waiting for a new boolean to become valid.

2019-09-18 15:29:03 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/vaapi/gstvaapiutils_egl.c:
	  egl: don't advertise a wrapped EGLContext as actually wrapped
	  It's not actually wrapped as we create a new EGLContext from the passed
	  in EGLContext.  As a result, the created EGLContext was never destroyed.

2019-09-16 23:28:31 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	  libs: h264decoder: do not return error for unhandled NAL unit.
	  Some streams have error data introducing unknown NAL type. There are
	  also kinds of NAL types we do not want to handle. The old manner will
	  set a decoder error when encounter this, which cause a latent crash bug.
	  The decoder may successfully decode the picture and insert it into DPB.
	  But there are error NAL units after the AU which cause the post unit error
	  and make that frame dropped. The later output of the picture still want
	  to ref that frame and crash.
	  No need to set decoder error when can not recognize or handle the NAL
	  unit, just skip it and continue.
	  Fix: #191

2019-09-11 14:32:22 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	* gst/vaapi/gstvaapiencode.c:
	  libs: encoders: use GST_PARAM_USER_SHIFT to define internal params
	  This patch makes use of GST_PARAM_USER_SHIFT to define the internal
	  param in encoders to decide which parameters to expose. Thus
	  gstreamer-vaapi will not interfere with any change in GStreamer in the
	  future.
	  Also, the internal symbol was change to
	  GST_VAAPI_PARAM_ENCODER_EXPOSURE to keep the namespacing.

2019-09-09 18:06:51 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/video-format.c:
	  libs: Add BGR10A2_LE support for color space conversion.
	  Fix: #179

2019-08-23 14:41:06 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapisurface.c:
	  libs: surface: add pointer check for surface_new_from_formats.
	  The command line:
	  gst-launch-1.0 filesrc location=some_name.mjpeg ! jpegparse !
	  vaapijpegdec !  videoconvert ! video/x-raw,format=I420 ! vaapisink
	  will crash on i965 driver because of no pointer check.
	  We now generate the video format map between GST format and VA format
	  dynamically based on the image format returned by vaQueryImageFormats.
	  i965 driver does to report image format of 444P and Y800 forcc, while
	  the jpeg decoder context VASurfaceAttribPixelFormat use them. We can
	  not recognize these format and pass a NULL pointer to
	  gst_vaapi_surface_new_from_formats.
	  We need to add a pointer check here and let the fallback logic handle
	  this case correctly.
	  Other drivers work well.

2019-09-07 13:23:01 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: guard the VAEntrypointFEI symbol
	  VAEntrypointFEI appeared in libva 2.0.0 (API version 1.0.0)

2019-09-05 14:48:22 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidisplay.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst-libs/gst/vaapi/video-format.h:
	  libs: video-format: Refine the video format mapping.
	  Improve the mapping between va format and gst format. The new map
	  will be generated dynamically, based on the query result of image
	  format in VA driver. Also consider the ambiguity of RGB color
	  format in LSB mode.

2019-04-15 16:51:26 +0100  Philippe Normand <philn@igalia.com>

	* gst/vaapi/gstvaapipluginutil.c:
	  pluginutil: Remove Mesa from drivers white list
	  The Mesa Gallium driver is poorly tested currently, leading to bad user
	  experience for AMD users. The driver can be added back to the white list at
	  runtime using the GST_VAAPI_ALL_DRIVERS environment variable.

2019-07-08 14:18:00 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostproc.h:
	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: allow cropping via properties
	  Add crop-left, crop-right, crop-top and crop-bottom
	  properties to vaapipostproc.

2019-08-30 17:31:45 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: rotate outbuf and crop meta if forwarding
	  When forwarding crop meta to downstream, the output
	  buffer and crop meta need to be rotated, too.
	  Test:
	  for i in 90r 180 90l vert horiz ul-lr ur-ll
	  do
	  gst-launch-1.0 -vf videotestsrc num-buffers=500 \
	  ! videocrop top=100 bottom=30 left=40 right=20 \
	  ! vaapipostproc video-direction=$i \
	  ! vaapisink & \
	  gst-launch-1.0 -vf videotestsrc num-buffers=500 \
	  ! videocrop top=100 bottom=30 left=40 right=20 \
	  ! vaapipostproc video-direction=$i \
	  ! identity drop-allocation=true \
	  ! vaapisink
	  done

2019-08-30 14:14:30 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: fix output buffer WxH for crop meta forwarding
	  Adding crop meta x,y to w,h only compensates for left,top
	  cropping.  But we also need to compensate for right,bottom
	  cropping.
	  The video meta contains the appropriate w,h (uncropped)
	  values, so use it instead.
	  Test:
	  gst-launch-1.0 -vf videotestsrc num-buffers=500 \
	  ! videocrop top=50 bottom=30 left=40 right=20 \
	  ! vaapipostproc ! vaapisink & \
	  gst-launch-1.0 -vf videotestsrc num-buffers=500 \
	  ! videocrop top=50 bottom=30 left=40 right=20 \
	  ! vaapipostproc ! identity drop-allocation=1 \
	  ! vaapisink

2019-09-04 10:52:51 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: handle size and direction together in src events
	  Mapping a pointer event needs to consider both size and
	  video-direction operations together, not just one or the other.
	  This fixes an issue where x,y were not being mapped correctly
	  for 90r, 90l, ur-ll and ul-lr video-direction. In these directions,
	  the WxH are swapped and GST_VAAPI_POSTPROC_FLAG_SIZE is set.  Thus,
	  the first condition in the pointer event handling was entered and
	  x,y scale factor were incorrectly computed due to srcpad WxH
	  swap.
	  This also fixes all cases where both video-direction and scaling
	  are enabled at the same time.
	  Test that all pointer events map appropriately:
	  for i in `seq 0 7`
	  do
	  GST_DEBUG=vaapipostproc:5 gst-launch-1.0 -vf videotestsrc \
	  ! vaapipostproc video-direction=${i} width=300 \
	  ! vaapisink
	  GST_DEBUG=vaapipostproc:5 gst-launch-1.0 -vf videotestsrc \
	  ! vaapipostproc video-direction=${i} width=300 height=200 \
	  ! vaapisink
	  GST_DEBUG=vaapipostproc:5 gst-launch-1.0 -vf videotestsrc \
	  ! vaapipostproc video-direction=${i} height=200 \
	  ! vaapisink
	  GST_DEBUG=vaapipostproc:5 gst-launch-1.0 -vf videotestsrc \
	  ! vaapipostproc video-direction=${i} \
	  ! vaapisink
	  done

2019-08-20 14:22:57 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostproc.h:
	  vaapipostproc: advertise crop meta is handled
	  Advertise to upstream that vaapipostproc can handle
	  crop meta.
	  When used in conjunction with videocrop plugin, the
	  videocrop plugin will only do in-place transform on the
	  crop meta when vaapipostproc advertises the ability to
	  handle it.  This allows vaapipostproc to apply the crop
	  meta on the output buffer using vaapi acceleration.
	  Without this advertisement, the videocrop plugin will
	  crop the output buffer directly via software methods,
	  which is not what we desire.
	  vaapipostproc will not apply the crop meta if downstream
	  advertises crop meta handling; vaapipostproc will just
	  forward the crop meta to downstream.  If crop meta is
	  not advertised by downstream, then vaapipostproc will
	  apply the crop meta.
	  Examples:
	  1. vaapipostproc will forward crop meta to vaapisink
	  gst-launch-1.0 videotestsrc \
	  ! videocrop left=10 \
	  ! vaapipostproc \
	  ! vaapisink
	  2. vaapipostproc will do the cropping
	  gst-launch-1.0 videotestsrc \
	  ! videocrop left=10 \
	  ! vaapipostproc \
	  ! identity drop-allocation=1 \
	  ! vaapisink

2019-08-29 18:44:36 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: clean two virtual func in encoder class
	  set_property and get_default_properties functions are no longer
	  needed for encoder class.

2019-08-29 18:43:30 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.h:
	  libs: encoder: delete old set_property and property enum feienc264

2019-08-29 18:39:27 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.h:
	  libs: encoder: delete old set_property and property enum in h264 fei

2019-08-29 18:37:58 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.h:
	  libs: encoder: delete old set_property and property enum in vp9

2019-08-29 18:36:51 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.h:
	  libs: encoder: delete old set_property and property enum in vp8

2019-08-29 18:35:59 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.h:
	  libs: encoder: delete old set_property and property enum in mpeg2

2019-08-29 18:34:57 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.h:
	  libs: encoder: delete old set_property and property enum in jpeg

2019-08-29 18:31:56 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.h:
	  libs: encoder: delete old set_property and property enum in h265

2019-08-29 18:30:07 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	  libs: encoder: delete old set_property and property enum in h264

2019-08-29 18:17:42 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: delete EncoderPropInfo related functions

2019-08-29 16:13:19 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	  libs: encoder: delete encoder_set_property
	  We no longer need this obsolete set_property function now after
	  switch to standard gobject's property manner.
	  Also delete the old encoder's property enum in the header file.

2019-08-29 15:59:43 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: delete properties_get_default for base class

2019-08-29 15:52:04 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode.h:
	  plugin: encode: delete useless init_properties.
	  Also delete the get_properties function in encode class. We now
	  use g_object_class_list_properties to get all properties for
	  internal encoder class.

2019-08-29 15:43:45 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode.h:
	  plugin: encode: delete set/get_property func in encode class
	  Use standard gobject's property functions to replace the old way.

2019-08-29 15:31:16 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode.h:
	  plugin: encode: delete gst_vaapiencode_init_properties
	  No need to init the properties got by get_default_properties func
	  now. The properties are inited correctly in internal encoder class.

2019-08-29 15:19:10 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: delete 3 useless init macro

2019-08-29 15:16:26 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.h:
	  libs: encoder: delete get_default_properties of feienc

2019-08-29 15:14:14 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.h:
	  libs: encoder: delete get_default_properties of H264 Fei

2019-08-29 15:07:17 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.h:
	  libs: encoder: delete get_default_properties of VP9

2019-08-29 15:06:25 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.h:
	  libs: encoder: delete get_default_properties of VP8

2019-08-29 15:03:52 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.h:
	  libs: encoder: delete get_default_properties of MPEG2

2019-08-29 15:03:19 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.h:
	  libs: encoder: delete get_default_properties of JPEG

2019-08-30 19:15:38 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.h:
	  libs: encoder: delete get_default_properties of H265

2019-08-29 14:59:12 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	  libs: encoder: delete get_default_properties of H264

2019-08-29 14:53:59 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: delete the useless constructed func for encoder.

2019-08-26 23:16:33 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	  libs: encoder: implement get_view_ids for h264 encoder.

2019-08-20 23:56:33 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h264_fei.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp9.c:
	  gst: encode: enable new type of property mechanism.

2019-08-20 22:16:35 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapiencode.c:
	* gst/vaapi/gstvaapiencode.h:
	  gst: encode: add property help functions for encoder properties.
	  The encoder is a true gstobject now and all the properties are using
	  gobject's properties mechanism. Add help functions to handle the properties
	  between encode and encoder class.
	  The basic idea is mapping the same property between encoder and encode. All
	  the encoder's properties will have the same name, the same type in encode.
	  The set/get property function just forward the property setting/getting to
	  the encoder using the same property name and value. Because the encoder is
	  created on needed, we need to cache the property setting in encode.

2019-08-30 18:39:32 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	  libs: encoder: add flags to all encoder properties.
	  G_PARAM_CONSTRUCT make all properties init correctly, we do not
	  need to init the properties manually.
	  G_PARAM_FLAG_VAAPI_ENCODER_EXPOSURE is a vaapi encoder specific
	  flag, means need to expose the property to according encode class.

2019-08-20 17:00:39 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	  libs: encoder: Add properties for h264 encoder fei.
	  Install properties for h264 encoder fei class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 15:58:30 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	  libs: encoder: Add properties for h264 fei encoder.
	  Install properties for h264 fei encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 15:29:27 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: Add properties for vp9 encoder.
	  Install properties for vp9 encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 15:01:02 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	  libs: encoder: Add properties for vp8 encoder.
	  Install properties for vp8 encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 14:31:58 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	  libs: encoder: Add properties for mpeg2 encoder.
	  Install properties for mpeg2 encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 14:53:06 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	  libs: encoder: Add properties for jpeg encoder.
	  Install properties for jpeg encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 14:12:36 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: Add properties for h265 encoder.
	  Install properties for h265 encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-20 01:33:40 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	  libs: encoder: Add properties for h264 encoder.
	  Install properties for h264 encoder class. Also set the new get/set
	  property functions for gobject class. Still use the old properties
	  way now and this new feature will be enabled later.

2019-08-19 15:38:09 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: add properties and prop help functions
	  Add all common properties to encoder base class. rate-control and
	  tune are moved to sub class.

2019-08-29 14:38:49 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: delete useless gst_vaapi_encoder_new func.
	  GstVaapiEncoder is a abstract gobject and never be created directly.

2019-07-27 00:55:53 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.h:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.c:
	* gst-libs/gst/vaapi/gstvaapifeienc_h264.h:
	  lib: encoder: gstobjectfy all vaapi encoders.
	  Replace all gstvaapiobject in vaapi encoders with standard gstobject.
	  Let the gstobject common logic to handle all the init and finalize
	  works. But the property install/set/get still use the old way, need
	  to be improved later.

2019-08-29 12:11:36 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: check for filter before appending caps
	  While ensuring the allowed sink pad caps, the filter attributes set
	  the frame size restriction, but it is not ensured, at that moment,
	  that the filter is already instantiaded.
	  In order to silence the glib logs, this patch add only calls
	  gst_vaapi_filter_append_caps() if the filter is instantiated.

2019-08-28 12:49:03 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	  Classify vaapidecodebin as a hardware decoder

2019-08-27 18:12:45 +0800  He Junyan <junyan.he@hotmail.com>

	* gst/vaapi/gstvaapipostproc.c:
	  libs: postproc: fix a memory leak point.
	  filter_ops and filter_formats should already have valid value when
	  the function gst_vaapipostproc_ensure_filter_caps re-enter

2019-08-27 01:30:36 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils_core.c:
	  libs: util: Fix a memory leak in config_surface_attributes_get

2019-08-22 14:33:54 +0800  Wangfei <fei.w.wang@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: support transform ROI meta
	  This will benefit the use case like:
	  src --->   encode    ---> decode ---> circle ROI ---> sink
	  |                |
	  --> analyse to -->
	  get ROI

2019-08-23 19:10:15 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/vaapi/gstvaapidecodedoc.c:
	  docstrings: port ulinks to markdown links

2019-08-20 17:05:14 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/Makefile.am:
	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext_overlay.c:
	* gst-libs/gst/vaapi/gstvaapicontext_overlay.h:
	* gst-libs/gst/vaapi/meson.build:
	  libs: remove context's overlay
	  The context overlay was an optimization to apply a video composition
	  to all the surfaces bound to a context.
	  But since commit 18031dc6 this optimization was disabled, so it is
	  better just get rid of it.

2019-08-20 16:50:46 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapisurface.c:
	* gst-libs/gst/vaapi/gstvaapisurface.h:
	* gst-libs/gst/vaapi/gstvaapisurface_priv.h:
	* gst/vaapi/gstvaapipluginutil.c:
	* tests/test-subpicture.c:
	  libs: remove surface's parent context
	  In commit 18031dc6 surface's parent context is not assigned because of
	  circular references. Since then (2013), there's has no issue with
	  subpictures attached to a context, the current only users of this API.
	  This patch cleans up all of related code with the unused surface's
	  parent context.

2019-08-18 13:53:53 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: guard if no structure is available in caps

2019-08-18 13:53:19 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: append frame size restrictions in caps

2019-08-18 13:09:58 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiprofilecaps.c:
	  libs: profilecaps: refactor common code

2019-08-16 19:35:58 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapiencode.c:
	  vaapiencode: set frame size restrictions in caps
	  Fixes: #12

2019-08-16 19:28:27 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst/vaapi/gstvaapiencode.c:
	  vaapiencode: enhance how the profile is defined
	  This code doesn't define the profile used by the internal encoder, but
	  it used to "predict" which is going to be used and to get the caps
	  restrictions.
	  Before the profile was predicted by checking the donwstream caps, but
	  sometimes they are not defined, setting an unknown profile. In order
	  to enhances this situation, the encoder asks to internal encoder if it
	  has one. If so, it is used.
	  To ask the internal encoder's profile a new accessor function was
	  added: gst_vaapi_encoder_get_profile()

2019-08-16 19:26:36 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiprofilecaps.c:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.h:
	  libs: profilecaps: defines gst_vaapi_profile_caps_append_encoder()
	  Previously it was just a boilerplate. Now it is real implementation.

2019-08-16 19:17:48 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: treat va_rt_format as bitwise flag
	  The return value of vaGetConfigAttributes() of VAConfigAttribRTFormat
	  is a bitwise flag with *all* the supported chroma types.
	  Previously it was assumed that the return value was a single value,
	  thus when returning the GST_VAAPI_CHROMA_TYPE_XXX the code was a
	  simple case. But it is wrong.
	  This patch changes the case block with a sequence of ifs testing the
	  bitwise. For now we assume a "priority" list in the testing sequence.

2019-08-16 18:07:43 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.c:
	* gst-libs/gst/vaapi/gstvaapiprofile.h:
	* tests/test-display.c:
	  libs: profile: add gst_vaapi_profile_get_va_name()
	  gst_vaapi_profile_get_name() returns a proper name for
	  GstCaps. Nonetheless, there are many profiles which don't have a name
	  representation for that realm.
	  gst_vaapi_profile_get_va_name() returns the name of the profile
	  according to its VAProfile name.
	  This new funtion is used in the encoder error message.

2019-08-05 19:47:30 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/Makefile.am:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.c:
	* gst-libs/gst/vaapi/gstvaapiprofilecaps.h:
	* gst-libs/gst/vaapi/meson.build:
	* gst/vaapi/gstvaapidecode.c:
	  libs: profilecaps: move caps config into a new file
	  Implement all the appending of frame size restrictions in caps, for
	  encoders and decoders, in a new source file.

2019-08-05 19:45:49 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder.c:
	  libs: decoder: ref the caps as property

2019-08-02 16:56:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	  libs: context: add gst_vaapi_context_get_surface_attributes()
	  This function copies the surface attributes from the context's object
	  to the caller.

2019-08-02 12:46:55 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapibufferproxy.c:
	* gst-libs/gst/vaapi/gstvaapibufferproxy.h:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils.h:
	  libs: move memory types conversions to gstvaapiutils
	  And add more supported memory types by current VA.

2019-08-01 19:48:21 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiutils_core.c:
	* gst-libs/gst/vaapi/gstvaapiutils_core.h:
	  libs: utils: remove unused function gst_vaapi_get_surface_formats()

2019-08-01 19:46:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapicontext.c:
	* gst-libs/gst/vaapi/gstvaapicontext.h:
	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: context, filter: use new surface attributes API

2019-08-01 19:13:39 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiutils_core.c:
	* gst-libs/gst/vaapi/gstvaapiutils_core.h:
	  libs: utils: add gst_vaapi_config_surface_attributes_get()
	  To extract the surface restrictions per config using a new structure:
	  GstVaapiConfigSurfaceAttributes

2019-07-31 13:08:43 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiutils_core.c:
	  Split the surface attribute retrieval

2019-07-15 21:51:46 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: handle navigation downstream event
	  When navigation events contains coordiantes those have to be mapped
	  to the new size and/or orientation.

2019-07-15 21:23:21 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/elements/test-vaapisink.c:
	  test-vaapisink: also use vaapipostproc to change orientation

2019-07-15 21:27:20 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostproc.h:
	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: handle image-orientation upstream event
	  Now that vaapipostproc can possible handle video-direction, it
	  should also handle the image-orientation event from upstream if
	  video-direction property is set to auto.

2019-07-26 22:09:37 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: add missing locks when adding flags

2019-07-26 22:05:29 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: update filter before fixate caps
	  It is requiered to know if postproc is capable to change the video
	  direction before fixating the source caps.
	  In order to do it, it'ss required to know if there's a functional VPP,
	  but that's checked at create() vmethod, which occurs after caps
	  fixating.
	  This patch checks for a functional VPP at fixate caps and, if so,
	  checks for the enabled filtes and later do the caps fixations.

2019-07-26 19:46:09 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapivalue.c:
	* gst-libs/gst/vaapi/gstvaapivalue.h:
	* gst/vaapi/gstvaapipostproc.c:
	  vaapipostproc: element warning if video direction is unsupported
	  If the video direction is unsupported by the driver, an element
	  warning is posted in the bus to notify the application.
	  gst_vaapi_enum_type_get_nick() was added in the library thus it can
	  be used elsewhere. It retrives the nick from an enum gtype.

2019-07-26 19:09:54 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: check mirror and rotation caps only once
	  This patch locks the display before querying the pipeline caps and
	  stores the mirror and rotation capabilities, thus they are not queried
	  every time the video direction is set.

2019-08-16 19:51:29 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: vp9: set VP9_0 profile as default
	  Commit 0afc8131 introduced a regression and only NV12 format were
	  admitted, failing in any other valid color format.
	  This patch sets the profile to GST_VAAPI_PROFILE_VP9_0 by default.

2019-08-16 13:25:06 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	  libs: filter: fail if first color balance value is invalid

2019-08-06 19:24:08 +0800  Yan Wang <yan.wang@linux.intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils.h:
	  libs: filter: set all color balance values
	  When set multiple settings of color balance like hue, saturation,
	  brightness and contrast for vaapipostproc, they should be set as
	  parameters of color balance filter, at the same color balance
	  filter calling.
	  Otherwise, multiple color balance filter calling will cause
	  previous setting get reset by the last calling with default value.
	  Fixes #182.
	  Signed-off-by: Yan Wang <yan.wang@linux.intel.com>

2019-08-16 11:02:08 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: h265dec: remove limitation of get iq matrix
	  According hevc spec, scaling_list_data is not related
	  to chroma_format_idc.

2019-05-30 23:52:51 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapivideopool.c:
	  libs: videopool: fix undocumented behavior and counting
	  gst_vaapi_video_pool_reserve_unlocked() hit an undocumented behavoir
	  because it locks twice the same mutex.
	  Also, n had different meanings in the current code: as an increase
	  value and as a new total of allocated surfaces.
	  This patche removes the undocumented behavoir (usually a deadlock) and
	  fixes the meaning of n as the new total of allocated surfaces.
	  Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

2019-07-17 11:56:45 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: utils: Add missing entries for string_of_VAEntrypoint.

2019-07-18 22:01:01 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: Consider vp9 profiles based on input format.
	  Only support GST_VAAPI_PROFILE_VP9_0 and GST_VAAPI_PROFILE_VP9_2 now.
	  Fix: #184

2019-08-12 18:41:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapivideomemory.c:
	  vaapivideomemory: demote error message to info
	  The main reason to demote the message's level is because it is not an
	  error, it's a possible output of the trial and there's a code path
	  that handles it.
	  Secondly, it's very annoying when using gallium driver for radeon.

2019-07-18 13:32:46 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	* gst-libs/gst/vaapi/gstvaapitypes.h:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapivalue.c:
	  libs: encoder: h264: support ICQ/QVBR bitrate control mode
	  ICQ is Intelligent Constant Quality. It will use the initial QP
	  vaule of icq-quality-factor to adjust QP at MB level intelligently
	  to improve subjective quality.
	  QVBR is Quality defined VBR. It will use qvbr-quality-factor to
	  adjust QP for each MB to get enough quality picture without waste
	  of bits.

2019-08-05 10:51:24 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapitypes.h:
	  libs: Let GST_VAAPI_RATECONTROL_MASK return unsigned int
	  The value return from GST_VAAPI_RATECONTROL_MASK will be used by
	  GST_VAAPI_POPCOUNT32 as its inpput. GST_VAAPI_POPCOUNT32 can only
	  deal with unsigned int. Otherwise there may be an error of out of
	  range of integer if we define few more rate-control mode.

2019-06-07 09:54:12 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	  vaapidecodebin: set queue's max size buffers to 1
	  Otherwise the queue will swallow all the available decoder's surfaces
	  reaching a dead-lock.
	  This setting might impact the bin's peformance, but it's a trade-off.

2019-06-07 09:53:08 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecodebin.c:
	  vaapidecodebin: set properties default values

2019-05-31 13:12:35 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: don't error if can't push buffers downtream
	  When the code path goes to push buffers downstream when no surface
	  available in decoder context, and it fails the code bails out with a
	  fatal error.
	  That behavior is wrong, since it shouldn't be fatal. The use case is
	  when the video stream is disabled.
	  This patch just ignores the errors in this situation and demotes the
	  level of a log message.

2019-05-18 13:24:35 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264_fei.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.h:
	  libs: encoder: h264,h265: add new property "max-qp"
	  Add new property "max-qp" to allow set the maximum quantisation
	  parameter values.

2019-05-23 10:18:52 -0400  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: vp9: add low power mode encode
	  By now, this feature only support by media-driver on Ice Lake
	  platform, more information you can reference:
	  https://github.com/intel/media-driver

2019-07-15 15:33:07 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: update PAR when rotating
	  When rotating, swap pixel-aspect-ratio during
	  negotiation.
	  Fixes #181

2019-07-01 15:26:18 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils.h:
	* gst/vaapi/gstvaapipostprocutil.c:
	  vaapipostproc: add rotation support
	  Adds vpp rotation support to vaapipostproc.  Uses
	  property video-direction. Default is identity (no
	  rotation).
	  Closes #104

2019-05-22 10:47:30 -0400  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: h265: pass diff_cu_qp_delta_depth flag to driver
	  Intel media-driver requires enablement of diff_cu_qp_delta_depth when
	  cu_qp_delta_enabled_flag enabled.
	  Fixes: #177

2019-07-01 17:02:33 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: encoder: Add MB ratecontrol mode to get its string

2019-07-01 16:52:00 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiutils.c:
	  libs: encoder: refine guard of bitrate control mode
	  Remove useless guard of all bitrate control mode's guard except MB
	  which is define in VA-API version 0.39.1.

2019-06-29 00:08:40 +1000  Jan Schmidt <jan@centricular.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h264.c:
	  h264: Update for parse_vui_params parameter removal.
	  Update calls to the h264 parser lib for removal of the
	  parse_vui_params parameter.

2019-06-24 16:26:56 -0400  Wang Zhanjun <zhanjunx.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	  libs: dec: vp9: do not use display size as decoded size
	  If display size is smaller than current frame size, then the crop size
	  will be set as display size, which either crashes the pipeline or the
	  output MD5 does not match. Rather it should use the actual decoded size.
	  This patch removes the cropping set. For rendering we can use aspect
	  ratio to set display size.
	  Fixes #175
	  Signed-off-by: Wang Zhanjun <zhanjunx.wang@intel.com>
	  Signed-off-by: Xu Guangxin <guangxin.xu@intel.com>

2019-06-28 16:32:51 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* README:
	  Update README

2019-06-25 19:11:12 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	* gst-libs/gst/vaapi/gstvaapiutils_h265_priv.h:
	  libs: dec: h265: Consider chroma_bit_depth to choose chrome type
	  For some main-10 stream, sometime the luma is 8 bits while chrome is more
	  than 8 bits, which cause using the wrong NV12 surface as the render target
	  and decoding error.
	  Fix #176

2019-06-25 10:31:20 +0800  Wangfei <fei.w.wang@intel.com>

	* gst/vaapi/gstvaapidecode.c:
	  vaapidecode: set initial decode format according surface chroma type
	  For surfaces with different chroma type, it is prefer to initialize
	  a format which chroma type should be same with surface chroma type
	  instead of using fixed NV12.

2019-05-30 09:48:51 -0400  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_jpeg.c:
	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/video-format.c:
	* gst/vaapi/gstvaapidecode.c:
	* gst/vaapi/gstvaapipluginutil.h:
	  libs: decoder: jpeg: add support 400/411/422/444 chroma type
	  When create vaapi surface, it is better to use the chroma type get
	  from jpeg file instead of using fixed 420 format. And the correct
	  chroma type can be determined by horizontal_factor/vertical_factor
	  flags that get from jpegparse.

2019-06-22 00:05:24 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiutils_h265.c:
	  libs: dec: h265: Fix profile_idc mapping.
	  The old mapping values return by gst_vaapi_utils_h265_get_profile_idc is
	  wrong, though GST_H265_PROFILE_IDC_MAIN and GST_H265_PROFILE_IDC_MAIN_10
	  happened to be the correct value.
	  We only support Annex A profile_idc (1-4).

2019-06-10 20:46:30 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapipluginbase.c:
	  plugins: remove last negotiated video info if caps are same
	  If the allocation caps and negotiated caps are the same,
	  then ensure any previously negotiated video info is also
	  removed.  This can occur when multi-resolution video
	  decoding returns to it's original resolution.
	  Fixes #170

2019-06-10 20:39:28 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst/vaapi/gstvaapivideomemory.c:
	  vaapivideomemory: allow negotiated info to be removed
	  Allow NULL negotiated_vinfo to be passed into
	  gst_allocator_set_vaapi_negotiated_video_info to allow
	  any previously set info to be removed.

2019-06-06 17:24:30 +0300  Freyr <freyrnjordrson@gmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_vp8.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_vp9.c:
	  libs: encoder: vp8,vp9: reset frame_counter when input frame's format changes
	  When input frame's formate changes, vp{8,9} encoders don't reset their frame
	  counter, hence the newly created frame could become a P-frame, leading to some
	  major troubles (sigabrt in libdrm in case of vp9). This patch adds some frame
	  prediction-related reset logic to the `flush' methods of GstVaapiEncoderVP8 and
	  GstVaapiEncoderVP9 implementations.

2019-05-31 12:30:03 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	  libs: encoder: increase bitrate prop max value
	  There are many profile levels that can support
	  more than 102400 kbps.  Thus, increase the max
	  allowed bitrate property value from 102400 kbps
	  to 2048000 kbps (same as msdk encoder plugins).

2019-06-04 13:27:50 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_mpeg2.c:
	  libs: mpeg2 encoder: No packed header for SPS and PPS
	  Dislable passing down packed PPS and PPS to driver if driver does
	  not want it.
	  Fix: #168

2019-05-31 23:10:33 +0200  Niels De Graef <niels.degraef@barco.com>

	* configure.ac:
	* meson.build:
	* tests/output.c:
	  meson: Bump minimal GLib version to 2.44
	  This means we can use some newer features and get rid of some
	  boilerplate code using the G_DECLARE_* macros.
	  As discussed on IRC, 2.44 is old enough by now to start depending on it.

2019-05-31 13:08:39 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	  libs: dec: vp9: clear parser pointer after release
	  Fix an use-after-release of the parser pointer in VP9 decoder.

2019-05-28 12:09:36 +0300  Freyr666 <sky_rider_93@mail.ru>

	* gst/vaapi/gstvaapiencode.c:
	  vaapiencode: Fixes deadlock in gst_vaapiencode_change_state function
	  This fixes a deadlock in gst_vaapiencode_change_state, which was due to
	  srcpad's chain function was locked waiting for available buffers. Since the
	  coded buffers in codedbuf_queue become available after sinkpad consume the
	  encoded frames, Paused -> Ready state change leads to deadlock. Coded buffers
	  are never consumed and marked free, hence gst_vaapiencode_handle_frame waits for
	  available buffers and holds the stream_lock of the srcpad.

2019-05-29 23:08:22 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/vaapi/gstvaapitypes.h:
	* gst/vaapi/gstvaapidecodebin.c:
	* gst/vaapi/gstvaapidecodedoc.c:
	* gst/vaapi/gstvaapiencode_h264.c:
	* gst/vaapi/gstvaapiencode_h264_fei.c:
	* gst/vaapi/gstvaapiencode_h265.c:
	* gst/vaapi/gstvaapiencode_jpeg.c:
	* gst/vaapi/gstvaapiencode_mpeg2.c:
	* gst/vaapi/gstvaapiencode_vp8.c:
	* gst/vaapi/gstvaapiencode_vp9.c:
	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapisink.c:
	  doc: remove xml from comments

2019-05-13 16:39:33 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapifilter.c:
	* gst-libs/gst/vaapi/gstvaapifilter.h:
	* gst-libs/gst/vaapi/gstvaapiutils.c:
	* gst-libs/gst/vaapi/gstvaapiutils.h:
	* gst/vaapi/gstvaapipostproc.c:
	* gst/vaapi/gstvaapipostproc.h:
	  vaapipostproc: add mirror support
	  Adds vpp mirroring support to vaapipostproc.  Use
	  property video-direction.  Valid values are identity,
	  horiz or vert.  Default is identity (no mirror).
	  Closes #89
	  v2: Use GstVideoOrientationMethod enum
	  v3: Don't warn for VA_MIRROR_NONE.
	  Use GST_TYPE_VIDEO_ORIENTATION_METHOD type.
	  v4: Query VAAPI caps when setting mirror value
	  instead of during per-frame processing.
	  v5: Return TRUE in warning cases when setting mirror value.

2019-05-29 01:35:17 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/vaapi/gstvaapiutils_x11.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_glx.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_wayland.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11.c:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11.h:
	* gst-libs/gst/vaapi/gstvaapiwindow_x11_priv.h:
	* gst/vaapi/gstvaapidecodebin.c:
	* gst/vaapi/gstvaapisink.c:
	  doc: fix some incorrect gtk-doc links

2019-05-16 09:22:42 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugin cache
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/issues/36

2019-05-16 16:46:43 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vaapi/gstvaapisurface.h:
	  libs: surface: fix documentation format

2019-05-16 10:05:17 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: enc: h265: reset num_ref_idx_l1_active_minus1 when low delay B.
	  When enable low delay B, the reference list 1 will be same with
	  reference list 0, so need reset the num_ref_idx_l1_active_minus1
	  to num_ref_idx_l0_active_minus1.
	  Fixes: #160

2019-05-13 19:05:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  meson: Fix call to wrong function

2018-10-22 11:48:29 +0200  Thibault Saunier <tsaunier@igalia.com>

	* Makefile.am:
	* configure.ac:
	* docs/Makefile.am:
	* docs/gst_plugins_cache.json:
	* docs/index.md:
	* docs/meson.build:
	* docs/plugins/Makefile.am:
	* docs/plugins/gstreamer-vaapi-plugins-docs.xml.in:
	* docs/plugins/gstreamer-vaapi-plugins-sections.txt:
	* docs/plugins/gstreamer-vaapi-plugins.types:
	* docs/plugins/inspect/plugin-vaapi.xml:
	* docs/plugins/running.xml:
	* docs/sitemap.txt:
	* docs/version.entities.in:
	* gst/vaapi/meson.build:
	* meson.build:
	* meson_options.txt:
	  docs: Port to hotdoc

2019-05-10 18:29:10 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_h265.c:
	  libs: encoder: not call ensure_num_slices inside g_assert
	  g_assert will take no effect when glib's G_DISABLE_ASSERT macro is
	  defined. The function inside the g_assert will take no effect and
	  we will fail to set the correct slice number.

2019-04-29 09:52:39 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_h265.c:
	  libs: h265: dec: Add extension flags setting.
	  Use VAPictureParameterBufferHEVCExtension&
	  VASliceParameterBufferHEVCExtension to pass extension setting from
	  some extension profile clips which may include these information.
	  The hevc extension setting only supported after libva release 2.2.0
	  (API 1.2.0).

2019-05-01 12:56:55 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: add target-percentage property
	  Allow users to set the target-percentage for
	  variable rate controls.  The default value is
	  70 (as hard-coded prior).
	  v2: minimum allowed value changed from 0 to 1
	  v3: target-percentage unchanged if CBR used
	  Resolves #129

2019-05-09 00:09:21 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	  libs: encoder: Add a missing comment for DEFAULT_ROI_VALUE property.

2019-05-08 23:39:20 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiencoder.c:
	* gst-libs/gst/vaapi/gstvaapiencoder.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_h264.c:
	* gst-libs/gst/vaapi/gstvaapiencoder_objects.h:
	* gst-libs/gst/vaapi/gstvaapiencoder_priv.h:
	  libs: encoder: Enable trellis quantization method.
	  The advanced trellis algorithm is supported in VA driver. We add
	  its support as a property named "trellis" of encoder.
	  It only works for H264 now, should be more in future.

2019-05-07 11:03:51 +0800  Wangfei <fei.w.wang@intel.com>

	* gst-libs/gst/vaapi/gstvaapidecoder_vp9.c:
	  libs: decoder: vp9: support 422/444 8bit/10bit chroma type.
	  According to the vp9 sepc, profile 1/3 support 422/440/444 chroma
	  type, so we need to add subsampling_x&subsampling_y to fix it.
	  Here is the relationship between chroma type and profile and
	  subsampling_x&subsampling_y according to vp9 spec:
	  ------------------------------------------
	  Profile | Bit depth | Chroma subsampling |
	  ------------------------------------------
	  0      | 8         | 420                |
	  ------------------------------------------
	  1      | 8         | 422,440,444        |
	  ------------------------------------------
	  2      | 10, 12    | 420                |
	  ------------------------------------------
	  3      | 10, 12    | 422,440,444        |
	  ------------------------------------------
	  -----------------------------------------------
	  Subsampling_x | Subsampling_y | Chroma format |
	  -----------------------------------------------
	  0            | 0             | 444           |
	  -----------------------------------------------
	  0            | 1             | 440           |
	  -----------------------------------------------
	  1            | 0             | 422           |
	  -----------------------------------------------
	  1            | 1             | 420           |
	  -----------------------------------------------

2019-04-16 18:33:54 +0800  He Junyan <junyan.he@hotmail.com>

	* gst-libs/gst/vaapi/gstvaapiimage.c:
	* gst-libs/gst/vaapi/video-format.c:
	  libs: Add packed 24 RGB format support.
	  Can not find a suitable chrome_type for this GST_VIDEO_FORMAT_RGB
	  packed 24 format. Just use GST_VAAPI_CHROMA_TYPE_RGB32 as its chrome
	  type. This kind of surface will just be created by new API with fourcc
	  and no old style chrome based creation is available.
	  fixes: #151

